commit 68f87dc3c4488155992f88c3cf1db27061948315
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Sep 20 13:25:35 2018 +0900

    add changes made for bioruby-1.5.2

 RELEASE_NOTES.rdoc | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 6b7e87abfbab88a3bb1b80227ab4b0cfaaeae26e
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Sep 20 13:24:45 2018 +0900

    regenerate bioruby.gemspec with rake regemspec

 bioruby.gemspec | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a7dbefeef20d6dea18f0bdd67df24e00c5e9ede6
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Sep 20 13:23:31 2018 +0900

    version changed to 1.5.2

 lib/bio/version.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e00134a1a31db46421b6d468ea1c1d0368bfbb6c
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Sep 20 12:55:32 2018 +0900

    Bug fix: printf format syntax error about single percent character
    
     * Bio::Shell#seqstat: Fix format specifier syntax error.
       Recent version of Ruby raised error: 'ArgumentError:
       incomplete format specifier;use %% (double %) instead'.

 lib/bio/shell/plugin/seq.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit df61cdba5ba3e90fda6c70cc9f880567656a5a82
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Sep 20 07:06:08 2018 +0900

    Improvement documentation
    
     * Improve documentation.
     * Close https://github.com/bioruby/bioruby/pull/120 .

 lib/bio/db/aaindex.rb | 79 +++++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 74 insertions(+), 5 deletions(-)

commit 35bcc5008c7721afb3c16467ae6dc782651f4c39
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Sep 20 05:01:12 2018 +0900

    Bug fix: Bio::Command.new_https should support proxy

 lib/bio/command.rb | 18 +++++++-----------
 1 file changed, 7 insertions(+), 11 deletions(-)

commit 88b58e94d4612f39abb14b89779ceeb533cd552e
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Sep 20 04:58:56 2018 +0900

    https support for Bio::Blast::Remote::GenomeNet::Information

 lib/bio/appl/blast/genomenet.rb | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit dfccbdf32bf819f941f2bcb4f63b2f0ce12cacfa
Author: ramadis <rramiro.o@hotmail.com>
Date:   Sat Jul 7 15:12:33 2018 -0300

    Add https requests in command. Fix genomenet query by allowing https requests.

 lib/bio/appl/blast/genomenet.rb |  2 +-
 lib/bio/command.rb              | 14 ++++++++++++++
 2 files changed, 15 insertions(+), 1 deletion(-)

commit d1e1358c1a5c7c7f4aa093a09d5bb45b60f7e7ee
Author: markwilkinson <markw@illuminae.com>
Date:   Tue Dec 12 14:13:51 2017 +0100

    fixing Fasta Report parser for fasta36 -m10

 lib/bio/appl/fasta/format10.rb | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit b9b11f66733e20e1ee6d2b5e0aab813b5b5d0000
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Sep 13 22:13:59 2017 +0900

    Suppress warning "assigned but unused variable"

 lib/bio/io/flatfile/autodetection.rb | 5 +++++
 1 file changed, 5 insertions(+)

commit 580dd6bb9344c2afd0fe60b0cf53a4b28734fbbf
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Sep 13 22:10:53 2017 +0900

    Suppress warning: "instance variable @top_strand not initialized"
    
     * Suppress warning: "instance variable @top_strand not initialized".
       To do so, force to raise NoMethodError when @top_strand is not
       initialized or is nil. This should be changed to appropriate
       exception in the future.

 lib/bio/util/sirna.rb | 2 ++
 1 file changed, 2 insertions(+)

commit 9d7ef4e66ecdc1aadc08fda4b332a51ca7739c82
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Sep 13 21:31:38 2017 +0900

    Suppress warning in Ruby 2.4: "constant ::Fixnum is deprecated"

 lib/bio/db/soft.rb                                                    | 4 ++--
 .../util/restriction_enzyme/range/sequence_range/calculated_cuts.rb   | 2 +-
 test/unit/bio/test_alignment.rb                                       | 4 ++--
 3 files changed, 5 insertions(+), 5 deletions(-)

commit 2747ee11392068de88e044abf52d12a88a0624ea
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Sep 13 21:19:12 2017 +0900

    Suppress warning "parentheses after method name is interpreted as an argument list, not a decomposed argument" in Ruby 2.4

 lib/bio/map.rb | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 1edbd88a703d3cff0f5a29e45fa51058405ab58c
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Sep 7 22:06:32 2016 +0900

    BioRuby 1.5.1 is released

 ChangeLog | 690 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 385 insertions(+), 305 deletions(-)

commit 917fe0d0e9910267cd54bf48c2caabe89875a299
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Sep 7 22:00:56 2016 +0900

    regenerate bioruby.gemspec with rake regemspec

 bioruby.gemspec | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1cfa823572742ea46f14420481c10f05fdbce862
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Sep 7 21:51:28 2016 +0900

    Bio::BIORUBY_EXTRA_VERSION set to nil (Release version)

 lib/bio/version.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8c27599ef5b8ee33cd074feadd089de01a8fa8e6
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Sep 7 21:49:20 2016 +0900

    Added release notes for 1.5.1 release

 RELEASE_NOTES.rdoc | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

commit 47ada241ad6f3632dbbd77542befb82500b7195e
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Aug 13 08:22:22 2016 +0900

    Update URLs and use https for NCBI REST web services

 lib/bio/io/ncbirest.rb | 50 ++++++++++++++++++++++++++------------------------
 1 file changed, 26 insertions(+), 24 deletions(-)

commit 018c2aff1c7813e7b07362ecc8a25db334c0ae95
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Aug 13 08:12:08 2016 +0900

    New method Bio::Command#start_http_uri(uri) with tests
    
     * lib/bio/command.rb: New method Bio::Command#start_http_uri(uri)
       that supports HTTPS. Note that this method is intended to be
       called only from BioRuby internals.
     * lib/bio/command.rb: Bio::Command#post and #post_form are changed
       to use the start_http_uri().
     * test/network/bio/test_command.rb: tests for start_http_uri().

 lib/bio/command.rb               | 42 ++++++++++++++++++++++++++++++++++++++--
 test/network/bio/test_command.rb | 17 ++++++++++++++++
 2 files changed, 57 insertions(+), 2 deletions(-)

commit 7a5d897ebc45d9ec5357918a42eb2980decf01e4
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Jul 2 21:52:17 2015 +0900

    version changed to 1.5.1-dev (pre-release version of 1.5.1)

 lib/bio/version.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8fc4d6c64f6958a352c36b171b00d1f1ff2a2354
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Jul 2 21:47:28 2015 +0900

    fix English syntax and unexpected word insertion

 RELEASE_NOTES.rdoc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1d165c5def88fdeb8f3beeba1f9e6ab0ce71c2a1
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Jul 1 17:28:17 2015 +0900

    BioRuby 1.5.0 is released

 ChangeLog | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 01ac93ca3b341716c85c571f1194834db0a68e52
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Jul 1 02:21:26 2015 +0900

    update ChangeLog by rake rechangelog

 ChangeLog | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

commit cac63ff501df6a71afead77175db9fb491c2985b
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Jul 1 01:31:21 2015 +0900

    .travis.yml: use Ruby 2.1.6 for tar and gem integration tests

 .travis.yml | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 5318c99249f34dacc788b82c658ea0e256770db0
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Jul 1 00:43:39 2015 +0900

    known issues added about new BLAST XML format and BLAST+ text format

 KNOWN_ISSUES.rdoc  | 11 +++++++++++
 RELEASE_NOTES.rdoc | 11 +++++++++++
 2 files changed, 22 insertions(+)

commit b61d8df0300ef366539e1154c9a2dac2f1f4ff18
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Jun 30 23:57:01 2015 +0900

    update ChangeLog with rake rechangelog

 ChangeLog | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)

commit 75cf6c31c57239b2e39a171e536ad5dddcaec94a
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Jun 30 23:56:08 2015 +0900

    regenerate bioruby.gemspec with rake regemspec

 bioruby.gemspec | 1 +
 1 file changed, 1 insertion(+)

commit 608850beb33f3f7333f05307202b766adb350eb9
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Jun 30 23:54:59 2015 +0900

    description about updating of Ruby's License

 RELEASE_NOTES.rdoc | 9 +++++++++
 1 file changed, 9 insertions(+)

commit f54bcfc20d20935db4e342e5988c0b7f59c131b3
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Jun 30 23:16:51 2015 +0900

    BSDL is referred in COPYING and COPYING.ja

 BSDL | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)
 create mode 100644 BSDL

commit d1cbfb699259fd57af02181f4374d562dda3abe1
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Jun 30 23:14:42 2015 +0900

    changes of Ruby's License is reflected.

 COPYING    |  4 ++--
 COPYING.ja | 72 +++++++++++++++++++++++++++++++-------------------------------
 2 files changed, 38 insertions(+), 38 deletions(-)

commit 2d9de9a0e2abe7fa9f193e54af0cbfc24bf2c37b
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Jun 30 22:50:37 2015 +0900

    ChangeLog is regenerated by using "rake rechangelog"

 ChangeLog | 2786 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 2780 insertions(+), 6 deletions(-)

commit 70665a69a79d569d7bb37ef6d8c238534e6dae3a
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Jun 30 22:49:55 2015 +0900

    KNOWN_ISSUES.rdoc: change ruby versions and add descriptions

 KNOWN_ISSUES.rdoc | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit 1054106f93b973b5a92f993c5b83b1444f96fffe
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Jun 30 22:48:51 2015 +0900

    prepare to release BioRuby 1.5.0

 bioruby.gemspec    | 2 +-
 lib/bio/version.rb | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 0f150586904f7e423455615313992ccf77d7e123
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Jun 30 22:44:58 2015 +0900

    RELEASE_NOTES.rdoc: update many

 RELEASE_NOTES.rdoc | 151 ++++++++++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 132 insertions(+), 19 deletions(-)

commit 2924ca0b977da13d42f232f880fd2df0b2995677
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Jun 30 21:55:52 2015 +0900

    Bug fix: Bio::UniProtKB#gene_name should not raise NoMethodError
    
     * Bug fix: Bio::UniProtKB#gene_name raised NoMethodError when
       gene_names method returns nil. It should return nil.
       Thanks to Jose Irizarry who reports and sends suggested fix.
       (https://github.com/bioruby/bioruby/pull/83 )

 lib/bio/db/embl/uniprotkb.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9bf9022007a0ff31a870b1ea08e423aebc487c17
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Jun 30 18:45:51 2015 +0900

    regenerate bioruby.gemspec with rake regemspec

 bioruby.gemspec | 1 +
 1 file changed, 1 insertion(+)

commit a151e51a44b3dd93e5d075d71954f639eaec339e
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Jun 30 18:10:55 2015 +0900

    update docs; change recommended Ruby versions

 README.rdoc | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit e86e745c8a6c666c446fe2f9f47818140999e2db
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Jun 30 18:08:53 2015 +0900

    delete description about SOAP4R

 README.rdoc | 5 -----
 1 file changed, 5 deletions(-)

commit 7e4bfb6b3757872691487b080bfd87363a4f9480
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Jun 30 03:22:35 2015 +0900

    .travis.yml: test/unit no longer bundled with Ruby 2.2
    
     * For Ruby 2.2, use a new Gemfile named Gemfile.travis-ruby2.2
       that include 'gem "test-unit"' line because test/unit have been
       provided by bundled gem since Ruby 2.2.

 .travis.yml                     | 7 ++++---
 gemfiles/Gemfile.travis-ruby2.2 | 9 +++++++++
 2 files changed, 13 insertions(+), 3 deletions(-)
 create mode 100644 gemfiles/Gemfile.travis-ruby2.2

commit cac85ca215ed781c80d49a5bf3d5d37d808c783b
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Jun 30 02:51:16 2015 +0900

    bump up version to 1.5.0-dev; simplify the versioning rules
    
     * Bump up version to 1.5.0-dev (1.5.0.20150630)
     * Simplify the versioning rules.
     * We will adopt the Semantic Versioning since BioRuby 1.5.1.

 bioruby.gemspec     |  2 +-
 bioruby.gemspec.erb | 21 ++++-----------------
 lib/bio/version.rb  | 17 ++++++++---------
 3 files changed, 13 insertions(+), 27 deletions(-)

commit 1a24fb6840932499be833b5ec3bb36184b1334a1
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Jun 30 02:14:01 2015 +0900

    Bug fix: update Bio::Hinv::BASE_URI
    
     * Bug fix: update Bio::Hinv::BASE_URI to follow the server URI change.
     * Update official documentation URL.

 lib/bio/io/hinv.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a9a12fff70ca287aa098d1331a3146e2899cb709
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Jun 30 02:08:40 2015 +0900

    delete $Id:$ line

 lib/bio/io/hinv.rb | 1 -
 1 file changed, 1 deletion(-)

commit 2bfa0f41969003f17c4b894b5279347616c8f187
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Jun 30 01:58:01 2015 +0900

    delete sections about SOAP4R issues

 KNOWN_ISSUES.rdoc | 12 ------------
 1 file changed, 12 deletions(-)

commit 9dbd83aa00acc5f78b5da68f000c305da9f31b66
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Jun 30 01:54:16 2015 +0900

    remove commented-out lines of soap4r-ruby1.9

 gemfiles/Gemfile.travis-jruby1.9 | 3 ---
 gemfiles/Gemfile.travis-rbx      | 3 ---
 gemfiles/Gemfile.travis-ruby1.9  | 3 ---
 3 files changed, 9 deletions(-)

commit 14d2f3e2fa15f94faeff4d28c957f581461eac82
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Jun 30 01:50:30 2015 +0900

    .travis.yml: update ruby versions, remove ruby 1.9.2

 .travis.yml | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 89f9b1fe2332584b5d63b1539b8e470d853478a3
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Jun 30 00:36:42 2015 +0900

    about removal of Bio::SOAPWSDL, Bio::EBI::SOAP, Bio::HGC::HiGet

 RELEASE_NOTES.rdoc | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit 29516d3d6d2f907f65822bcf4146e95785773a3a
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Jun 30 00:50:47 2015 +0900

    regenerate bioruby.gemspec with rake regemspec

 bioruby.gemspec | 6 ------
 1 file changed, 6 deletions(-)

commit 357a1afc5ef457326179142c163968aa5cd94864
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Jun 30 00:49:42 2015 +0900

    not to load deleted file lib/bio/shell/plugin/soap.rb

 lib/bio/shell.rb | 1 -
 1 file changed, 1 deletion(-)

commit 956e475da52ea17f1022493f589489a3e7c06f93
Author: Naohisa Goto <ng@bioruby.org>
Date:   Mon Jun 29 23:43:24 2015 +0900

    deleted lib/bio/shell/plugin/soap.rb
    
     * deleted lib/bio/shell/plugin/soap.rb because Bio::SOAPWSDL and
       all SOAP client classes in BioRuby are removed.

 lib/bio/shell/plugin/soap.rb | 50 --------------------------------------------
 1 file changed, 50 deletions(-)
 delete mode 100644 lib/bio/shell/plugin/soap.rb

commit 00acae3c3a8066891e08dc225eae2c22c3415191
Author: Naohisa Goto <ng@bioruby.org>
Date:   Mon Jun 29 23:41:20 2015 +0900

    not to load removed Bio::EBI::SOAP from lib/bio/io/ebisoap.rb

 lib/bio.rb | 4 ----
 1 file changed, 4 deletions(-)

commit d4844b38b5ddaec7ec15b56ef66f6930f0e6cfc0
Author: Naohisa Goto <ng@bioruby.org>
Date:   Mon Jun 29 23:38:26 2015 +0900

    remove Bio::EBI::SOAP (lib/bio/io/ebisoap.rb)
    
     * Bio::EBI::SOAP (lib/bio/io/ebisoap.rb) is removed because
       Bio::SOAPWSDL is removed.

 lib/bio/io/ebisoap.rb | 158 --------------------------------------------------
 1 file changed, 158 deletions(-)
 delete mode 100644 lib/bio/io/ebisoap.rb

commit 79b4705bac82fe17b12c649172a629d3de41cbdf
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Jun 30 00:12:36 2015 +0900

    not to load removed Bio::SOAPWSDL from lib/bio/io/soapwsdl.rb

 lib/bio.rb | 1 -
 1 file changed, 1 deletion(-)

commit 03ced6a70973557532517c70dac183775bd11fa7
Author: Naohisa Goto <ng@bioruby.org>
Date:   Mon Jun 29 23:59:28 2015 +0900

    remove Bio::SOAPWSDL (lib/bio/io/soapwsdl.rb) and tests
    
     * Bio::SOAPWSDL is removed because SOAP4R (SOAP/WSDL library in Ruby)
       is no longer bundled with Ruby since Ruby 1.9. For Ruby 1.9 or later,
       some gems of SOAP4R are available, but we think they are not
       well-maintained. Moreover, many SOAP servers have been retired
       (see previous commits). So, we give up maintaining Bio::SOAPWSDL.

 lib/bio/io/soapwsdl.rb               | 119 -----------------------------------
 test/network/bio/io/test_soapwsdl.rb |  53 ----------------
 test/unit/bio/io/test_soapwsdl.rb    |  33 ----------
 3 files changed, 205 deletions(-)
 delete mode 100644 lib/bio/io/soapwsdl.rb
 delete mode 100644 test/network/bio/io/test_soapwsdl.rb
 delete mode 100644 test/unit/bio/io/test_soapwsdl.rb

commit d927652e9f5d241e3c1b13b7d760f5a190b72e50
Author: Naohisa Goto <ng@bioruby.org>
Date:   Mon Jun 29 23:35:38 2015 +0900

    delete old comment-out lines about Bio::DDBJ::XML

 lib/bio.rb | 5 -----
 1 file changed, 5 deletions(-)

commit b995251bf96b8983def36e77bc94d6f0c0f2c78c
Author: Naohisa Goto <ng@bioruby.org>
Date:   Mon Jun 29 23:29:47 2015 +0900

    do not load Bio::HGC::HiGet from deleted lib/bio/io/higet.rb

 lib/bio.rb | 4 ----
 1 file changed, 4 deletions(-)

commit 6191020ed1e150f9e70de687375528a899fcf8ef
Author: Naohisa Goto <ng@bioruby.org>
Date:   Mon Jun 29 23:27:41 2015 +0900

    remove lib/bio/io/higet.rb because of the server down for a long time

 lib/bio/io/higet.rb | 73 -----------------------------------------------------
 1 file changed, 73 deletions(-)
 delete mode 100644 lib/bio/io/higet.rb

commit 5a527c5cdd513d72ad5817c66ac87e7613395e26
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Jun 27 02:33:46 2015 +0900

    add/modify about removed features and incompatible changes

 RELEASE_NOTES.rdoc | 71 +++++++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 67 insertions(+), 4 deletions(-)

commit 1886314d2b8dd7d4b3e86c7b93134facd881127a
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Jun 27 01:24:36 2015 +0900

    regenerate bioruby.gemspec with rake regemspec

 bioruby.gemspec | 1 -
 1 file changed, 1 deletion(-)

commit 724e9c1c039dcc7fa19fb15de0313218a87f9868
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Jun 25 23:34:44 2015 +0900

    extconf.rb is deleted because no native extensions are included
    
     * extconf.rb is deleted because no native extensions are included in
       BioRuby and to avoid potential confusions. Nowadays, extconf.rb is
       usually used only for building native extensions. Use gem or
       setup.rb to install BioRuby.

 extconf.rb | 2 --
 1 file changed, 2 deletions(-)
 delete mode 100644 extconf.rb

commit d42a1cb1df17e0c11ca0407dc05e1271cd74a0d7
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Jun 24 22:29:28 2015 +0900

    Ruby 2.3 support: IO#close to closed IO object is allowed without error.

 test/unit/bio/io/flatfile/test_buffer.rb | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 5ea39188ac3cc2609397b2d8864a2019ea6b93d2
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri May 1 23:42:39 2015 +0900

    s.license = "Ruby"
    
     * bioruby.gemspec.erb, bioruby.gemspec: s.license = "Ruby"
       Thanks to Peter Cock who reports a patch.
       (https://github.com/bioruby/bioruby/issues/101 )

 bioruby.gemspec     | 1 +
 bioruby.gemspec.erb | 1 +
 2 files changed, 2 insertions(+)

commit 2b18ae005a592ea4ae7b632f7e658d4bbf153fd8
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri May 1 23:39:36 2015 +0900

    remove deprecated Gem::Specification#rubyforge_project

 bioruby.gemspec     | 2 +-
 bioruby.gemspec.erb | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 3a1d89bde9af44793c850b1cde950e3e3042fb8d
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 28 01:52:31 2015 +0900

    delete obsolete $Id:$ line

 lib/bio/db/gff.rb | 1 -
 1 file changed, 1 deletion(-)

commit 165ebf29ba192c7a7e7f1633809d34966c2aeed1
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 28 01:51:47 2015 +0900

    suppress "character class has duplicated range" warnings

 lib/bio/db/gff.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 715ee5aa3a797737d390365b2c202cc9a0effea5
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 28 01:37:35 2015 +0900

    delete obsolete $Id:$ line

 lib/bio/appl/sosui/report.rb | 1 -
 1 file changed, 1 deletion(-)

commit 71e34938f1228911657ebf00720712a17bc89ea9
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 28 01:36:44 2015 +0900

    comment out a line to suppress warning: assigned but unused variable - tmh

 lib/bio/appl/sosui/report.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fc518f3826bf60d70ebdbd70acdba512f1462c6f
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 28 01:34:22 2015 +0900

    delete obsolete $Id:$ line

 lib/bio/db/sanger_chromatogram/chromatogram.rb | 1 -
 1 file changed, 1 deletion(-)

commit 516c467dfb245d99c4f7f77e251c77ffc5d274ca
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 28 01:33:19 2015 +0900

    suppress warning: instance variable @aqual not initialized

 lib/bio/db/sanger_chromatogram/chromatogram.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 56d2e472196ba03ba6aa2a2bdf8d3de81272fa15
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 28 01:30:26 2015 +0900

    delete obsolete $Id:$ line

 lib/bio/db/kegg/module.rb | 1 -
 1 file changed, 1 deletion(-)

commit fb6b9b6578d08a87c1974e58f6d1f231b4ad52c0
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 28 01:28:05 2015 +0900

    suppress "instance variable @XXX not initialized" warnings

 lib/bio/db/kegg/module.rb | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 9f70b8d54abd9adbd50d46a3176f23f51af01cc7
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 28 01:25:50 2015 +0900

    delete obsolete $Id:$ line

 lib/bio/db/kegg/pathway.rb | 1 -
 1 file changed, 1 deletion(-)

commit 3844b9bb69e1f657c9b85bb20a4d209828b78b12
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 28 01:25:03 2015 +0900

    suppress "instance variable @XXX not initialized" warnings

 lib/bio/db/kegg/pathway.rb | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 8d857e246eacb6c9f8fbbceaa2fba7f1211e2b86
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 28 01:20:13 2015 +0900

    delete obsolete $Id:$ line

 lib/bio/db/fasta/defline.rb | 1 -
 1 file changed, 1 deletion(-)

commit aadf285bc9e618b7813b42fd39e0b1966a04385c
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 28 01:18:43 2015 +0900

    suppress defline.rb:393: warning: character class has duplicated range

 lib/bio/db/fasta/defline.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5297db11eb165885c4f15b914c2132c4122ae5a9
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 28 01:11:43 2015 +0900

    delete obsolete $Id:$ line

 test/unit/bio/test_db.rb | 1 -
 1 file changed, 1 deletion(-)

commit 20381ad45c674c0844a92891cb8ae71edaa6e333
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 28 01:08:04 2015 +0900

    suppress "warning: instance variable @tagsize not initialized"
    
     * test/unit/bio/test_db.rb: to suppress "warning: instance variable
       @tagsize not initialized" when executing Bio::TestDB#test_fetch,
       @tagsize is set in setup.

 test/unit/bio/test_db.rb | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit d194edfc68bc10fde11f2cf014a59113ddc63b24
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 28 00:59:21 2015 +0900

    delete obsolete $Id:$ line

 lib/bio/data/codontable.rb | 1 -
 1 file changed, 1 deletion(-)

commit fac51f540dc7b33cd3ec51f97b5cb1ea587a461e
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 28 00:57:28 2015 +0900

    suppress warning: instance variable @reverse not initialized

 lib/bio/data/codontable.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4e85315f03e374157f832c8435d0d2f43cd969af
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 28 00:55:25 2015 +0900

    delete obsolete $Id:$ line

 lib/bio/appl/iprscan/report.rb | 1 -
 1 file changed, 1 deletion(-)

commit dafa7ce62378ff1605a295f8c620eb3a0a4a3c57
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 28 00:54:37 2015 +0900

    suppress warning: instance variable @ipr_ids not initialized

 lib/bio/appl/iprscan/report.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 52b6073997c1b26fea9d4aae3154b37575944d4d
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 28 00:50:43 2015 +0900

    suppress "method redefined" warnings and fill RDoc for some methods

 lib/bio/db/phyloxml/phyloxml_elements.rb | 46 ++++++++++++++++++++++++--------
 1 file changed, 35 insertions(+), 11 deletions(-)

commit 3d2e99fe993d76d5ece5bdbcd2e9541fa098c4dd
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 28 00:36:51 2015 +0900

    suppress "instance variable @XXX not initialized" warnings

 lib/bio/db/phyloxml/phyloxml_elements.rb | 88 ++++++++++++++++----------------
 1 file changed, 44 insertions(+), 44 deletions(-)

commit 02d4f98eae3934d8ad9c950b41132eb14653fe27
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Mar 26 20:33:35 2015 +0900

    suppress warning: instance variable @uri not initialized

 lib/bio/db/phyloxml/phyloxml_elements.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 94277712e9dd000c2d9bf5b6ebfd84d0f2fc3b59
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Mar 26 01:47:45 2015 +0900

    suppress warning: instance variable @format not initialized

 lib/bio/db/fastq.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e61e1071e4bb7dd9ee995c3a7f864c2ef4384edd
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Mar 26 01:40:33 2015 +0900

    suppress "instance variable not initialized" warnings
    
     * suppress warning: instance variable @sc_match not initialized
     * suppress warning: instance variable @sc_mismatch not initialized
     * suppress warning: instance variable @gaps not initialized
     * suppress warning: instance variable @hit_frame not initialized
     * suppress warning: instance variable @query_frame not initialized

 lib/bio/appl/blast/format0.rb | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit 08c458c74a7a34e340e09053cbc0f9c071e27395
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Mar 26 01:09:16 2015 +0900

    suppress warning: instance variable @pattern not initialized

 lib/bio/appl/blast/format0.rb | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 33d7eed180fd601972724f4b992f1a17c689ef62
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Mar 26 00:57:02 2015 +0900

    Test bug fix: fix typo of test target method

 test/network/bio/test_command.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 76a98bce1affac03483c08f803d4314b42a0a3d3
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Mar 26 00:32:25 2015 +0900

    Incompatible Change: Bio::Command.make_cgi_params rejects single String
    
     * Incompatible Change: Bio::Command.make_cgi_params no longer accepts a
       single String as a form. Use Hash or Array containing key-value pairs
       as String objects. This change also affects Bio::Command.post_form
       and Bio::Command.http_post_form which internally use this method.

 lib/bio/command.rb            | 2 +-
 test/unit/bio/test_command.rb | 9 +++++----
 2 files changed, 6 insertions(+), 5 deletions(-)

commit b1612545a7516befd850a6d5925aa73bbaa4b4b0
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Mar 25 02:36:41 2015 +0900

    delete obsolete $Id:$ line

 lib/bio/io/togows.rb | 1 -
 1 file changed, 1 deletion(-)

commit 4d5a419cc78ff2a79cff2812adc6f16f286204e8
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Mar 25 02:35:45 2015 +0900

    delete obsolete $Id:$ line

 test/network/bio/io/test_togows.rb | 1 -
 1 file changed, 1 deletion(-)

commit a8d2c4cac665b4bb8140df329a9cc1d6e5e2d02d
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Mar 25 02:35:03 2015 +0900

    delete obsolete $Id:$ line

 test/unit/bio/io/test_togows.rb | 1 -
 1 file changed, 1 deletion(-)

commit dd0967db3743789ea5aa48623df8d97f93062694
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Mar 25 02:33:49 2015 +0900

    test_make_path: add test data using Symbol objects

 test/unit/bio/io/test_togows.rb | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit e07158a60ca666b5d625408bcf8fa602fd8114a8
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Mar 25 02:22:31 2015 +0900

    Bio::TogoWS::REST#entry: comma between IDs should NOT be escaped to %2C

 lib/bio/io/togows.rb | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 98546289b2f2da2dc7f9586fd5e2942da4d8f3a8
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Mar 25 02:00:17 2015 +0900

    Bug fix: search with offset did not work due to TogoWS server change
    
     * lib/bio/io/togows.rb: Bug fix: Bio::TogoWS::REST#search with offset
       and limit did not work due to TogoWS server change about URI escape.
       For example,
       http://togows.org/search/nuccore/Milnesium+tardigradum/2%2C3 fails,
       http://togows.org/search/nuccore/Milnesium+tardigradum/2,3 works fine.

 lib/bio/io/togows.rb | 24 +++++++++++++++++++++---
 1 file changed, 21 insertions(+), 3 deletions(-)

commit 7097f80e315a0a6332e7a76a5bb261649e8dcc1a
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Mar 25 01:33:26 2015 +0900

    Bug fix due to TogoWS convert method spec change
    
     * lib/bio/io/togows.rb: Bug fix: Bio::TogoWS::REST#convert did not work
       because of the spec change of TogoWS REST API.

 lib/bio/io/togows.rb | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 1a9b1063af4c0b32cd287d4a2c2466343aeddb98
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Mar 25 01:30:34 2015 +0900

    improve tests for bio/command.rb for methods using http protocol

 test/network/bio/test_command.rb | 67 ++++++++++++++++++++++++++++++++++++++--
 1 file changed, 65 insertions(+), 2 deletions(-)

commit c63920e4d8569e3eaef201d4d60fcddfa15f1f34
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Mar 25 01:30:06 2015 +0900

    delete obsolete $Id:$ line

 lib/bio/command.rb | 1 -
 1 file changed, 1 deletion(-)

commit 1683edac0e9ecbf819ffcd332a6db2d25c2d596a
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Mar 25 01:28:28 2015 +0900

    new methods Bio::Command.http_post and Bio::Command.post to post raw data

 lib/bio/command.rb | 61 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 61 insertions(+)

commit a40157205282e148bf3a2e43aed1e08d713fb598
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Mar 24 00:46:23 2015 +0900

    suppress warnings "instance variable @circular not initialized"

 lib/bio/util/restriction_enzyme/range/sequence_range.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit abcac8de85c9606f6a1879fe9d2ae559911708c9
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Mar 24 00:29:42 2015 +0900

    delete obsolete $Id:$ line

 test/unit/bio/io/flatfile/test_autodetection.rb | 1 -
 1 file changed, 1 deletion(-)

commit 1b5bf586af238b712a9f640087421fd299376c2d
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Mar 24 00:28:38 2015 +0900

    suppress warning: assigned but unused variable - length

 test/unit/bio/io/flatfile/test_autodetection.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5497068d17c2794ab2b6ef1e603e5478a86537c6
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Mar 24 00:22:54 2015 +0900

    add/modify assertions to suppress "unused variable" warnings

 test/unit/bio/db/genbank/test_genbank.rb | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit d5bafd8b7ee28ab0418b09fd6dd47abcb9eb1ee5
Author: Naohisa Goto <ng@bioruby.org>
Date:   Mon Mar 23 23:57:56 2015 +0900

    delete obsolete $Id:$ line

 lib/bio/appl/blast.rb | 1 -
 1 file changed, 1 deletion(-)

commit bbd60d1aae7c894f914b7265d2de22fea5eb3faf
Author: Naohisa Goto <ng@bioruby.org>
Date:   Mon Mar 23 23:56:42 2015 +0900

    suppress warning: assigned but unused variable - dummy

 lib/bio/appl/blast.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4a91502ccf14ab8655645144120aa97d0c8313a5
Author: Naohisa Goto <ng@bioruby.org>
Date:   Mon Mar 23 20:32:59 2015 +0900

    delete obsolete $Id:$ line

 lib/bio/shell/setup.rb | 1 -
 1 file changed, 1 deletion(-)

commit c437a4078ff8e2869b9c1ab3543022db373a93c3
Author: Naohisa Goto <ng@bioruby.org>
Date:   Mon Mar 23 20:32:20 2015 +0900

    suppress warning: instance variable @mode not initialized

 lib/bio/shell/setup.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8967cf280d5ca8491d57a11e4f3ffab7369c4ea8
Author: Naohisa Goto <ng@bioruby.org>
Date:   Mon Mar 23 20:28:50 2015 +0900

    delete obsolete $Id:$ line

 lib/bio/shell/irb.rb | 1 -
 1 file changed, 1 deletion(-)

commit 42b5f030067be4bc9c53ccb4c06ccfc5e8d9df03
Author: Naohisa Goto <ng@bioruby.org>
Date:   Mon Mar 23 20:28:27 2015 +0900

    change deprecated method File.exists? to File.exist?

 lib/bio/shell/irb.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 389ad2f311f161f235db2373aeb2f5500b1ea65f
Author: Naohisa Goto <ng@bioruby.org>
Date:   Mon Mar 23 20:27:01 2015 +0900

    delete obsolete $Id:$ line

 lib/bio/shell/interface.rb | 1 -
 1 file changed, 1 deletion(-)

commit de5949798d66c16d2b5e2cf8ba7192049ec99c5b
Author: Naohisa Goto <ng@bioruby.org>
Date:   Mon Mar 23 20:26:37 2015 +0900

    change deprecated method File.exists? to File.exist?

 lib/bio/shell/interface.rb | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit c8907059a716a8778e333755c8fb53bb2a0c7158
Author: Naohisa Goto <ng@bioruby.org>
Date:   Mon Mar 23 20:24:58 2015 +0900

    delete obsolete $Id:$ line

 lib/bio/shell/core.rb | 1 -
 1 file changed, 1 deletion(-)

commit 1fe5903f8acd8045d203465a099a45218e7e3891
Author: Naohisa Goto <ng@bioruby.org>
Date:   Mon Mar 23 20:24:25 2015 +0900

    change deprecated method File.exists? to File.exist?

 lib/bio/shell/core.rb | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 929207c6f186c81f076fab9b1bbbd23c4b966f4e
Author: Naohisa Goto <ng@bioruby.org>
Date:   Mon Mar 23 20:20:05 2015 +0900

    delete obsolete $Id:$ line

 test/unit/bio/db/pdb/test_pdb.rb | 1 -
 1 file changed, 1 deletion(-)

commit e75c57fcd7abc56ba6fcbf1996e491aca890f5b1
Author: Naohisa Goto <ng@bioruby.org>
Date:   Mon Mar 23 20:19:30 2015 +0900

    suppress "assigned but unused variable" warnings

 test/unit/bio/db/pdb/test_pdb.rb | 21 ++++++++++++++-------
 1 file changed, 14 insertions(+), 7 deletions(-)

commit b458301f47322c265fce27efd0ed71443c17d9d7
Author: Naohisa Goto <ng@bioruby.org>
Date:   Mon Mar 23 18:34:12 2015 +0900

    delete obsolete $Id:$ line

 lib/bio/shell/plugin/entry.rb | 1 -
 1 file changed, 1 deletion(-)

commit c3f909fe06b82b3cbd4bdcbcdef668fc0727be9d
Author: Naohisa Goto <ng@bioruby.org>
Date:   Mon Mar 23 18:33:30 2015 +0900

    change deprecated method File.exists? to File.exist?

 lib/bio/shell/plugin/entry.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7ba6349c2446aa03b843a2a8fb49505c8f63c6ca
Author: Naohisa Goto <ng@bioruby.org>
Date:   Mon Mar 23 18:20:44 2015 +0900

    change deprecated method File.exists? to File.exist?

 lib/bio/appl/meme/mast.rb | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit e7f78ea3c3fb1b78adcc6ae13f450cf2cda361cd
Author: Naohisa Goto <ng@bioruby.org>
Date:   Mon Mar 23 18:10:27 2015 +0900

    delete obsolete $Id:$ line

 lib/bio/db/phyloxml/phyloxml_writer.rb | 1 -
 1 file changed, 1 deletion(-)

commit b32eae0050a73bd5a2931c17a6694f494ad00bb2
Author: Naohisa Goto <ng@bioruby.org>
Date:   Mon Mar 23 18:07:54 2015 +0900

    suppress warning: mismatched indentations at 'end' with 'def' at 166

 lib/bio/db/phyloxml/phyloxml_writer.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bd735347283ce5d332245d0349186f300800a43f
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 21 12:57:03 2015 +0900

    remove duplicated line and suppress Ruby 2.2 warning

 setup.rb | 1 -
 1 file changed, 1 deletion(-)

commit 68ad10e178594691c77ba4b97c2449fecf0ac9de
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 21 12:50:46 2015 +0900

    Ruby 1.9 support: suppress "shadowing outer local variable" warnings

 setup.rb | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 2343482078aec8373f7a2eb8ed4d7c44119f809c
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 21 12:16:45 2015 +0900

    Ruby 2.2 support: Config was renamed to RbConfig

 setup.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d512712745142d6c6ebe9a6ef51c8c4773bd7c2c
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 21 11:52:47 2015 +0900

    Ruby 1.9 support: suppress "shadowing outer local variable" warnings

 lib/bio/db/embl/format_embl.rb | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit bfa75df9047ab6855c931558f6bf9fdbb1c3c288
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 21 11:36:01 2015 +0900

    delete obsolete $Id:$ line

 lib/bio/io/flatfile/buffer.rb | 1 -
 1 file changed, 1 deletion(-)

commit d6fbaa0c555117ebadd46e284ae357586856102d
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 21 11:35:07 2015 +0900

    Ruby 1.9 support: suppress warning: shadowing outer local variable - fobj

 lib/bio/io/flatfile/buffer.rb | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 0083d3284ec181f4bcc3144f76b12f9d52e3eff6
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 21 11:29:39 2015 +0900

    delete obsolete $Id:$ line

 lib/bio/io/fastacmd.rb | 1 -
 1 file changed, 1 deletion(-)

commit d4909c0e80e572a639edba07388e430c7f5d6ce8
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 21 11:29:01 2015 +0900

    remove old sample script in "if $0 == __FILE__" block

 lib/bio/io/fastacmd.rb | 15 ---------------
 1 file changed, 15 deletions(-)

commit 8171162d0a3991d5f0d9a8bccee57250248d6d3d
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 21 11:15:10 2015 +0900

    delete obsolete $Id:$ line

 lib/bio/db/go.rb | 1 -
 1 file changed, 1 deletion(-)

commit ed7c9a5335ef59399f3098311f47b8dec519281a
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 21 11:14:19 2015 +0900

    Ruby 1.9 support: suppress warnings: "shadowing outer local variable - goid"

 lib/bio/db/go.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit dd543068b046c9a0c2a40159c830c92b680244f1
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 21 11:03:08 2015 +0900

    delete obsolete $Id:$ line

 lib/bio/db/phyloxml/phyloxml_elements.rb | 1 -
 1 file changed, 1 deletion(-)

commit 4c74a6e3aeca30820b0be61e867c9201445542ec
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 21 10:24:40 2015 +0900

    suppress warning: mismatched indentations at 'end' with 'class'

 lib/bio/db/phyloxml/phyloxml_elements.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ee4ffdc748c1f9f45e97ff7f0da8350c5468c333
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 21 10:08:30 2015 +0900

    delete obsolete $Id:$ line

 lib/bio/db/phyloxml/phyloxml_parser.rb | 1 -
 1 file changed, 1 deletion(-)

commit 46a4edc8729ff836ae28d11f1503c9923275b9f6
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Mar 21 10:00:04 2015 +0900

    Ruby 1.9 support: suppress warning "shadowing outer local variable - flag"

 lib/bio/db/phyloxml/phyloxml_parser.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit db3552c683edf79adbfa5ed897f5ef91e8417585
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Mar 20 16:33:45 2015 +0900

    Bug fix: Bio::PhyloXML::Parser.open_uri did not return block return value
    
     * Bug fix: Bio::PhyloXML::Parser.open_uri did not return block
       return value when giving block.
     * Suppress warning "assigned but unused variable - ret"

 lib/bio/db/phyloxml/phyloxml_parser.rb | 1 +
 1 file changed, 1 insertion(+)

commit 84c2c4e94352cc9cef982d3b505b4f439617e01e
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Mar 20 16:21:49 2015 +0900

    delete obsolete $Id:$ line

 lib/bio/appl/genscan/report.rb | 1 -
 1 file changed, 1 deletion(-)

commit 05c55d0aaf1dc130ac04155622ccebb3394fc3c0
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Mar 20 16:21:06 2015 +0900

    Ruby 1.9 support: suppress warning "shadowing outer local variable - i"

 lib/bio/appl/genscan/report.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5edcc1c97ca7c292fa6551509570daf68ac36837
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Mar 20 16:13:57 2015 +0900

    Ruby 1.9 support: suppress warning "shadowing outer local variable - y"

 lib/bio/appl/blast/format0.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 813d53a06258244a47784697e8fc95f1f15db8da
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Mar 20 16:03:19 2015 +0900

    delete obsolete $Id:$ line

 lib/bio/io/das.rb | 1 -
 1 file changed, 1 deletion(-)

commit b6ae4a423dd763969c8e18ca6a578fd0600d6159
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Mar 20 16:02:20 2015 +0900

    Ruby 1.9 support: suppress "warning: shadowing outer local variable - e"

 lib/bio/io/das.rb | 80 +++++++++++++++++++++++++++----------------------------
 1 file changed, 40 insertions(+), 40 deletions(-)

commit 7fa75a644167dd8c189f681e29c1cf5f1bf2fe0b
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Mar 20 15:36:00 2015 +0900

    delete obsolete $Id:$ line

 lib/bio/shell/plugin/seq.rb | 1 -
 1 file changed, 1 deletion(-)

commit 051aba1519d71f1205363c4421feb6c06881ab0c
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Mar 20 15:29:02 2015 +0900

    Bug fix: Ruby 1.9 support: did not yield the last part of the string
    
     * lib/bio/shell/plugin/seq.rb: Bug fix: Ruby 1.9 support:
       String#step and #skip (extended by bioruby-shell) did not yield
       the last part of the string due to a change from Ruby 1.8 to 1.9.
     * Suppress warning message "shadowing outer local variable - i"

 lib/bio/shell/plugin/seq.rb | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit a9f2bff92de58c2ab4cefc67e721d3ad69e9de98
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Mar 20 15:09:16 2015 +0900

    Ruby 2.2 support: suppress a "shadowing outer local variable" warning

 lib/bio/alignment.rb | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit d0bcc8766d91eb7cacea2a6d5b32b3e0b3c5ce56
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Mar 20 14:31:04 2015 +0900

    delete obsolete $Id:$ line

 test/unit/bio/test_alignment.rb | 1 -
 1 file changed, 1 deletion(-)

commit 0c8fa8fd558088822a98e11b6fa4bec9b37ebec7
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Mar 20 14:26:38 2015 +0900

    Ruby 2.2 support: comment out duplicated line to suppress warning
    
     * Ruby 2.2 support: test/unit/bio/test_alignment.rb:
       Suppress warning: duplicated key at line 182 ignored: "t"

 test/unit/bio/test_alignment.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ab17c40e1ce492dc924205e8e2f90d31adae4464
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Mar 20 14:18:08 2015 +0900

    Ruby 2.2 support: some tests did not run with test-unit gem
    
     * Ruby 2.2 support: test/unit/bio/db/test_fastq.rb
       Support for test-unit gem bundled in Ruby 2.2.
       See commit log b9488a64abb780c5e9b6cd28e8264bad399fa749 for details.

 test/unit/bio/db/test_fastq.rb | 18 ++++++++++++++----
 1 file changed, 14 insertions(+), 4 deletions(-)

commit ea668d73c18e3df33625cba4352ad5f6966e0eb4
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Mar 20 14:03:43 2015 +0900

    delete obsolete $Id:$ line

 test/unit/bio/appl/sim4/test_report.rb | 1 -
 1 file changed, 1 deletion(-)

commit 1abb8d362a0f2443b48923bcccba3d7d0caa1f1d
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Mar 20 13:57:33 2015 +0900

    Ruby 2.2 support: some tests did not run with test-unit gem
    
     * Ruby 2.2 support: test/unit/bio/appl/sim4/test_report.rb
       Support for test-unit gem bundled in Ruby 2.2.
       See commit log b9488a64abb780c5e9b6cd28e8264bad399fa749 for details.

 test/unit/bio/appl/sim4/test_report.rb | 62 +++++++++++++++++++++++++---------
 1 file changed, 46 insertions(+), 16 deletions(-)

commit b9488a64abb780c5e9b6cd28e8264bad399fa749
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Mar 20 13:13:28 2015 +0900

    Ruby 2.2 support: some tests did not run with test-unit gem
    
     *  Ruby 2.2 support: test/unit/bio/appl/blast/test_report.rb:
        With test-unit gem bundled in Ruby 2.2, test methods inherited
        from a parent class and executed in the parent class do not
        run in the child class. To avoid the behavior, test methods
        are moved to modules and test classes are changed to include
        the modules.

 test/unit/bio/appl/blast/test_report.rb | 156 ++++++++++++++++++++++----------
 1 file changed, 110 insertions(+), 46 deletions(-)

commit febe8bbf614e530f597d7306d33df5f5f4ee6699
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Mar 19 00:55:09 2015 +0900

    try to use bio-old-biofetch-emulator gem
    
     * bin/br_biofetch.rb: try to use bio-old-biofetch-emulator gem.
       Without bio-old-biofetch-emulator, the program exits with error
       message when default BioRuby BioFetch server is specified.

 bin/br_biofetch.rb | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 08450e0a35cbf5596dd30238d23aa7a7296c8f67
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Mar 19 00:36:10 2015 +0900

    do not repeat default_url and another_url

 bin/br_biofetch.rb | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

commit 8e39d3411405b09cc6ea55ba31e5206536ebf59d
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Mar 18 23:57:59 2015 +0900

    Revert e29fc5fadbe0dae6528cf49637496dc2df3ec0dc
    
     * bin/br_biofetch.rb: revert e29fc5fadbe0dae6528cf49637496dc2df3ec0dc
       because the old deprecated bioruby biofetch server can be emulated
       by bio-old-biofetch-emulator gem package.

 bin/br_biofetch.rb | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit 849c38931a64b7ff2ba7ec46a495e65a99a869fb
Author: Ben J. Woodcroft <donttrustben near gmail.com>
Date:   Wed Aug 8 09:44:09 2012 +1000

    add FastaFormat#first_name method

 lib/bio/db/fasta.rb            | 17 +++++++++++++++++
 test/unit/bio/db/test_fasta.rb | 42 +++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 58 insertions(+), 1 deletion(-)

commit 888a70508c0392cae89021feba5c4a6a62228a11
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Nov 14 15:08:35 2014 +0900

    fix typo
    
     * fix typo. Thanks to Iain Barnett who reported the bug in
       https://github.com/bioruby/bioruby/pull/93
       (c4843d65447f6a434da523c9c313f34d025f36f8)

 lib/bio/sequence/compat.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit afc6df190109649e8eb11b2af1184ddfcf5327d3
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Nov 14 14:29:42 2014 +0900

    add documentation when gc_percent is not enough

 lib/bio/sequence/na.rb | 8 ++++++++
 1 file changed, 8 insertions(+)

commit bb63f67f2dfe6dba5c70ada033ca0cc1ecaa7783
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Nov 13 21:43:00 2014 +0900

    Add tests for Bio::PubMed#search, query, pmfetch
    
     * Add tests for Bio::PubMed#search, query, pmfetch, although
       they will be deprecated in the future.
     * This commit and commit bfe4292c51bba5c4032027c36c35e98f28a9605a
       are inspired by https://github.com/bioruby/bioruby/pull/76
       (though the pull request have not been merged), and the commits
       fix the issue https://github.com/bioruby/bioruby/issues/75.
       Thanks to Paul Leader who reported the issue and the pull request.

 test/network/bio/io/test_pubmed.rb | 49 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

commit 74edba100da83c27f2edb7a9edc9ec98265a7cff
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Nov 13 12:05:12 2014 +0900

    Change default tool and email values
    
     * Default "tool" and "email" values are changed to "bioruby" and
       "staff@bioruby.org" respectively. Now, the author of a script
       do not need to set his/her email address unless the script makes
       excess traffic to NCBI.
     * Update RDoc documentation

 lib/bio/io/ncbirest.rb | 48 +++++++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 43 insertions(+), 5 deletions(-)

commit bfe4292c51bba5c4032027c36c35e98f28a9605a
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Nov 13 11:54:53 2014 +0900

    Bug fix: use NCBI E-Utilities instead of old deprecated API
    
     * Bio::PubMed#search, query, pmfetch: remove old code using deprecated
       and/or unofficial web API, and change use esearch or efetch methods
       which use NCBI E-utilities. These methods will be deprecated in the
       future. To indicate this, show warning message if $VERBOSE is true.
     * Update RDoc documentation

 lib/bio/io/pubmed.rb | 157 +++++++++++++++++++++++++--------------------------
 1 file changed, 76 insertions(+), 81 deletions(-)

commit d78173a6eb6d8177e733decc0b8137fac067aa82
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Nov 11 17:41:32 2014 +0900

    remove unused $Id:$ line

 bin/br_biofetch.rb | 1 -
 1 file changed, 1 deletion(-)

commit e29fc5fadbe0dae6528cf49637496dc2df3ec0dc
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Nov 11 17:31:38 2014 +0900

    Change default server to EBI Dbfetch server; remove BioRuby BioFetch server
    
     * Change default server to EBI Dbfetch server.
     * The BioRuby BioFetch server is removed. When "-r" option (force to use
       BioRuby server) is specified, warning message is shown, and the program
       exits with code 1 (abnormal exit).
     * Usage message is also changed.

 bin/br_biofetch.rb | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit 94ecac33e87e444d9fe991340c2d8f3709bc6d90
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Nov 11 17:19:30 2014 +0900

    fix documentation reflecting recent changes of Bio::Fetch

 lib/bio/io/fetch.rb | 33 ++++++++++++++++++++-------------
 1 file changed, 20 insertions(+), 13 deletions(-)

commit 06a9db014614818ef35108928415ef18e8c8ae2c
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Nov 11 16:41:26 2014 +0900

    documentation about incompatible changes of Bio::Fetch

 RELEASE_NOTES.rdoc | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit 6d94e949b6d325f27b45b816a8305f828d049ec6
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Nov 11 16:35:50 2014 +0900

    Issue about Bio::Fetch and BioRuby BioFetch server is resolved
    
     * Issue about Bio::Fetch is resolved by recent commits.
    
     * The BioRuby BioFetch server is deprecated. There is no hope to restart
       the service again. EBI Dbfetch server is an alternative.

 KNOWN_ISSUES.rdoc | 9 ---------
 1 file changed, 9 deletions(-)

commit 699cd3ff136310a551d30e0ddd7fbe66e483b5be
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Nov 11 15:27:11 2014 +0900

    update RDoc documents for Bio::Fetch

 lib/bio/io/fetch.rb | 61 +++++++++++++++++++++++++++++++++++------------------
 1 file changed, 40 insertions(+), 21 deletions(-)

commit c7837f8e5ee2cc1c3085da74567a2b25280bbb8f
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Nov 11 14:48:48 2014 +0900

    Incompatibile change: remove Bio::Fetch.query; add Bio::Fetch::EBI.query
    
     * Incompatible change: remove a class method Bio::Fetch.query because
       default server URL in Bio::Fetch is deprecated.
    
     * New class method: Bio::Fetch::EBI.query. This can be used as an
       alternative method of deprecated Bio::Fetch.query method.

 lib/bio/io/fetch.rb | 35 ++++++++++++++++++-----------------
 1 file changed, 18 insertions(+), 17 deletions(-)

commit f9048684acaff0fcd00b458a946d5f692706325b
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Nov 11 14:24:22 2014 +0900

    Incompatible change: Default server in Bio::Fetch.new is deperecated
    
     * Incompatible change: Default server URL in Bio::Fetch.new is deprecated.
       Users must explicitly specify the URL. Alternatively, users must change
       their code to use Bio::Fetch::EBI.
    
     * New class Bio::Fetch::EBI, EBI Dbfetch client. This acts the same as
       Bio::Fetch.new(Bio::Fetch::EBI::URL) with default database name
       "ena_sequence".

 lib/bio/io/fetch.rb | 36 +++++++++++++++++++++++++++++++++---
 1 file changed, 33 insertions(+), 3 deletions(-)

commit e8919f4f57fc545ca194bebb08c11159b36071cb
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Nov 11 13:43:28 2014 +0900

    removed unused variables

 lib/bio/io/fetch.rb | 1 -
 1 file changed, 1 deletion(-)

commit faec95656b846a7a17cd6a1dbc633dda63cb5b6e
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Nov 11 11:44:00 2014 +0900

    Updated URL of EMBL-EBI Dbfetch

 lib/bio/io/fetch.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 85be893655f68aafbf7e13badd20bf7f26cd7328
Author: Jose Irizarry <protechpr@gmail.com>
Date:   Mon Dec 24 12:30:55 2012 -0400

    Update lib/bio/io/fetch.rb
    
    Use EBI's dbfetch endpoint as default since BioRuby's endpoint has been disabled for a while now.

 lib/bio/io/fetch.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 163cc06547beed653e19b8c6e71e829d85f2f99c
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Oct 21 16:42:30 2014 +0900

    Doc bug fix: wrong sample code

 lib/bio/appl/paml/codeml.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 97143139d2d4a66366576a8e62518e93fa5afccf
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Oct 21 15:47:52 2014 +0900

    Prevent to repeat calculations of total bases
    
     * Bio::Sequence::NA#gc_content, at_content, gc_skew, at_skew: Prevent to
       repeat calculations of total bases.

 lib/bio/sequence/na.rb | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

commit b5dbd882e000842fef65e10290b379bfafdddf06
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Oct 21 15:41:13 2014 +0900

    Documentation bug fix: Return value is Rational or Float.
    
     * Bio::Sequence::NA#gc_content, at_content, gc_skew, at_skew: Return value
       is Rational or Float in recent versions of Ruby. Documentation added for
       the treatment of "u" and to return 0.0 if there are no bases.
       Reported by ctSkennerton (https://github.com/bioruby/bioruby/issues/73 ).

 lib/bio/sequence/na.rb | 47 +++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 43 insertions(+), 4 deletions(-)

commit 3ba98d52ce57488e604dd7ac388a874e5b40ae9d
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Aug 12 00:58:38 2014 +0900

    regenerate bioruby.gemspec with rake regemspec

 bioruby.gemspec | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit a9724d339582952b40c928beccf91376d4e63315
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Aug 5 19:20:42 2014 +0900

    Update URIs
    
     * Update URIs.
     * Remove links to RubyForge and RAA which have already been closed.
     * Add some words for Ruby 1.9 or later.

 README.rdoc | 24 +++++++++++-------------
 1 file changed, 11 insertions(+), 13 deletions(-)

commit 5f3569faaf89ebcd2b2cf9cbe6b3c1f0544b2679
Author: Iain Barnett <iainspeed@gmail.com>
Date:   Wed Mar 5 02:11:07 2014 +0000

    Refactor Bio::AminoAcid#weight: Early return clearer and idiomatic.

 lib/bio/data/aa.rb | 26 ++++++++++++--------------
 1 file changed, 12 insertions(+), 14 deletions(-)

commit c229a20887fcb6df9a7ba49ad5a23e175056fa8d
Author: Iain Barnett <iainspeed@gmail.com>
Date:   Wed Mar 5 02:02:45 2014 +0000

    Fixed the stack level too deep errors by using Hash#invert.

 lib/bio/data/aa.rb | 18 +-----------------
 1 file changed, 1 insertion(+), 17 deletions(-)

commit 08dd928df30f5b39c255f9f70dbed8410d395cdf
Author: Iain Barnett <iainspeed@gmail.com>
Date:   Tue Mar 4 01:22:51 2014 +0000

    Refactored to shorten, remove rescues, and clarify.

 lib/bio/alignment.rb | 19 +++++++------------
 1 file changed, 7 insertions(+), 12 deletions(-)

commit 112aa284cb1ebecc1d5de186edf2b385649a7268
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Mar 19 14:48:32 2014 +0900

    Bug fix: SEQRES serNum digits were extended in PDB v3.2 (2008)
    
    * Bug fix: SEQRES serNum digits were extended in PDB v3.2 (2008).
      Thanks to a researcher who reports the patch via email.

 lib/bio/db/pdb/pdb.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ecd5e0c86b04aa918b71c859568425fa39ebbde5
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Jan 18 04:22:51 2014 +0900

    suppress "source :rubygems is deprecated" warning

 gemfiles/Gemfile.travis-jruby1.8 | 2 +-
 gemfiles/Gemfile.travis-jruby1.9 | 2 +-
 gemfiles/Gemfile.travis-ruby1.8  | 2 +-
 gemfiles/Gemfile.travis-ruby1.9  | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 4bda345fe3de9cf1b64c26f3dca1cb3727c946d0
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Jan 18 04:22:03 2014 +0900

    gemfiles/Gemfile.travis-rbx: Gemfile for rbx (Rubinius) on Travis-ci
    
     * gemfiles/Gemfile.travis-rbx: Gemfile for rbx (Rubinius) on Travis-ci
     * .travis.yml is modified to use gemfile/Gemfile.travis-rbx for rbx.

 .travis.yml                 |  4 ++--
 gemfiles/Gemfile.travis-rbx | 16 ++++++++++++++++
 2 files changed, 18 insertions(+), 2 deletions(-)
 create mode 100644 gemfiles/Gemfile.travis-rbx

commit dcff544d6d0a967eb853b97ba9faa30eaa6fd9dc
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Jan 18 04:13:50 2014 +0900

    .travis.yml: fix mistakes

 .travis.yml | 8 +-------
 1 file changed, 1 insertion(+), 7 deletions(-)

commit f0f67f295f05a5e1e30c479621c25498e2c8f6f2
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Jan 18 03:56:54 2014 +0900

    Ruby 2.1 workaround: Array#uniq does not always choose the first item
    
     * Ruby 2.1 workaround: Array#uniq does not always choose the first item.
       Thanks to Andrew Grimm who reported the issue.
       (https://github.com/bioruby/bioruby/issues/92 )
       Note that the behavior change is also regarded as a bug in Ruby and
       is fixed. (https://bugs.ruby-lang.org/issues/9340 )

 test/unit/bio/test_pathway.rb | 35 +++++++++++++++++++++++++----------
 1 file changed, 25 insertions(+), 10 deletions(-)

commit e92e09edf5904f51d3e73e61d13fce4159a543c5
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Jan 18 03:32:05 2014 +0900

    .travis.yml: workaround to avoid error in Ruby 1.8.7 and jruby-18mode
    
     * workaround to avoid error in Ruby 1.8.7 and jruby-18mode
       (reference: https://github.com/rubygems/rubygems/pull/763 )

 .travis.yml | 2 ++
 1 file changed, 2 insertions(+)

commit 655a675096962710896fb458afcac9b5deb1fa5f
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Jan 18 03:22:44 2014 +0900

    .travis.yml: rbx version is changed to 2.2.3
    
     * rbx version is changed to 2.2.3
     * add dependent gems for rbx platforms, described in
       http://docs.travis-ci.com/user/languages/ruby/

 .travis.yml | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit d2f5b882d5e2acf35d0c783a56aa47533b9f2bd5
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Jan 11 03:46:45 2014 +0900

    .travis.yml: change ruby versions for tar and gem integration tests
    
     * In tar and gem integration tests, Ruby versions are changed to
       MRI 2.0.0 and jruby-19mode.
     * Add jruby-18mode
     * Add rbx-2.1.1

 .travis.yml | 32 ++++++++++++++++++++++----------
 1 file changed, 22 insertions(+), 10 deletions(-)

commit 71991af394b937d35e2bbbc84a21e65ffba7714d
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Jan 9 00:57:25 2014 +0900

    .travis.yml: Add 2.1.0 and 2.0.0, remove rbx-XXmode
    
     * Add 2.1.0 and 2.0.0
     * Remove rbx-18mode and rbx-19mode
     * 1.9.2 is moved from "include" to "rvm".
     * 1.8.7 is moved from "rvm" to "include", and remove
       "gemfiles/Gemfile.travis-ruby1.8" line from "gemfile".
     * Remove "exclude" and simplify build matrix.
     * Suggested by agrimm in https://github.com/bioruby/bioruby/pull/91

 .travis.yml | 27 +++++----------------------
 1 file changed, 5 insertions(+), 22 deletions(-)

commit 80966bc875cc6e01978b6c9272f6ddd8f344aa62
Author: Brynjar Smari Bjarnason <binni@binnisb.com>
Date:   Mon Dec 9 14:57:42 2013 +0100

    Bug fix: Only do gsub on bio_ref.reference.authors if it exists.
    
     * Bug fix: Only do gsub on bio_ref.reference.authors if it exists.
       Fix https://github.com/bioruby/bioruby/issues/89

 lib/bio/db/biosql/sequence.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3337bbd3be2affcef44202a0c924b3e22dafd856
Author: Brynjar Smari Bjarnason <binni@binnisb.com>
Date:   Mon Dec 9 14:55:24 2013 +0100

    Bug fix: Missing require when generating genbank output for BioSQL sequence
    
     * Bug fix: Missing require when generating genbank output for BioSQL
       sequence. Partly fix https://github.com/bioruby/bioruby/issues/89

 lib/bio/db/biosql/biosql_to_biosequence.rb | 1 +
 1 file changed, 1 insertion(+)

commit 1f829ae8e8c89c5c24e7bc7aa8ed5fa25e8ef6c2
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Nov 23 18:17:43 2013 +0900

    Benchmark example1-seqnos.aln in addition to example1.aln
    
     * sample/benchmark_clustalw_report.rb: Benchmark parsing speed of
       example1-seqnos.aln in addition to example1.aln.

 sample/benchmark_clustalw_report.rb | 28 ++++++++++++++++++++++------
 1 file changed, 22 insertions(+), 6 deletions(-)

commit c5d3e761859fa72c18f9301d84c31070f35e733e
Author: Andrew Grimm <andrew.j.grimm@gmail.com>
Date:   Tue Sep 17 21:15:56 2013 +1000

    Add benchmark script for Bio::ClustalW::Report.

 sample/benchmark_clustalw_report.rb | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100644 sample/benchmark_clustalw_report.rb

commit 07c14e94cdb94cf9ba8a2bf050572ae1cbf24cff
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Nov 23 17:49:54 2013 +0900

    Bio::ClustalW::Report#do_parse speed optimization
    
     * Bio::ClustalW::Report#do_parse speed optimization. Thanks to
       Andrew Grimm who indicates the optimization point.
       (https://github.com/bioruby/bioruby/pull/86 )
     * "$" in the regular expression is changed to "\z". In this context,
       the "$" was intended to be matched with only the end of the string.

 lib/bio/appl/clustalw/report.rb | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 6a78028d4f595ecb5b4600d0f238b07a2d80bdd5
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Nov 23 15:52:15 2013 +0900

    New test data: ClustalW with -SEQNOS=ON option
    
     * test/data/clustalw/example1-seqnos.aln: New test data: ClustalW
       running with -SEQNOS=ON option.
     * Bio::TestClustalWReport::TestClustalWReportSeqnos: new test class
       that parses the above data.

 test/data/clustalw/example1-seqnos.aln     | 58 ++++++++++++++++++++++++++++++
 test/unit/bio/appl/clustalw/test_report.rb | 11 ++++++
 2 files changed, 69 insertions(+)
 create mode 100644 test/data/clustalw/example1-seqnos.aln

commit f5da0bbb4b1639616bb8c63ff8c58840e140ef8b
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Nov 23 15:35:31 2013 +0900

    Simplify test data path in setup
    
     * Bio::TestClustalWReport::TestClustalWReport#setup: simplify test data
       filename path.
     * Modify indentes and void lines.

 test/unit/bio/appl/clustalw/test_report.rb | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

commit 8f0bea1d3252d0de9e2d91dc31ef8a9552c2d758
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat Nov 23 15:21:38 2013 +0900

    Common test methods are moved to a module
    
     * New namespace module Bio::TestClustalWReport.
     * Common test methods are moved to CommonTestMethods,
       and test classes using the methods include it.
     * The test_sequences method is split into two methods
       CommonTestMethods#test_sequence0 and test_sequence1.

 test/unit/bio/appl/clustalw/test_report.rb | 97 ++++++++++++++++--------------
 1 file changed, 53 insertions(+), 44 deletions(-)

commit edda65b8fb32c2eee6b0652074981c31aa68b0eb
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Aug 23 23:51:59 2013 +0900

    Test bug fix: Read test file with binary mode to avoid encoding error
    
     * Test bug fix: Read test file with binary mode to avoid string encoding
       error. Thanks to nieder (github.com/nieder) who reports the bug.
       (https://github.com/bioruby/bioruby/issues/84)

 test/unit/bio/db/test_phyloxml.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 011d6fe5f016408891c5da3143c83e2564ccbf27
Author: meso_cacase <y-naito@dbcls.rois.ac.jp>
Date:   Fri Apr 5 01:13:27 2013 +0900

    Modified siRNA design rules by Ui-Tei and Reynolds
    
     * Ui-Tei rule: Avoided contiguous GCs 10 nt or more.
     * Reynolds rule: Total score of eight criteria is calculated.
       * Returns numerical score for functional siRNA instead of returning 'true'.
       * Returns 'false' for non-functional siRNA, as usual.
     * Unit tests are modified to reflect these changes.

 lib/bio/util/sirna.rb            | 92 +++++++++++++++++++++++++++++++++-------
 test/unit/bio/util/test_sirna.rb | 44 +++++++++----------
 2 files changed, 98 insertions(+), 38 deletions(-)

commit b6e7953108ebf34d61bc79ee4bdae1092cfe339f
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Jun 28 15:40:57 2013 +0900

    Use Bio::UniProtKB instead of Bio::UniProt
    
     * Use Bio::UniProtKB instead of Bio::UniProt.
     * Test class names are also changed from UniProt to UniProtKB.

 test/unit/bio/db/embl/test_uniprotkb_new_part.rb | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit cddd35cf8d64abfff8bd6a8372d019fc4c32848c
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Jun 28 15:26:20 2013 +0900

    rename test/unit/bio/db/embl/test_uniprot_new_part.rb to test_uniprotkb_new_part.rb

 .../bio/db/embl/{test_uniprot_new_part.rb => test_uniprotkb_new_part.rb}  | 0
 1 file changed, 0 insertions(+), 0 deletions(-)
 rename test/unit/bio/db/embl/{test_uniprot_new_part.rb => test_uniprotkb_new_part.rb} (100%)

commit 1b51d0940712a6f144f8268dc77048bc7ec7d983
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Jun 28 15:21:36 2013 +0900

    Reflect the rename of Bio::UniProtKB from SPTR to UniProtKB.
    
     * Reflect the rename of Bio::UniProtKB from SPTR to UniProtKB.
     * Test class names are also changed.

 test/unit/bio/db/embl/test_uniprotkb.rb | 223 ++++++++++++++++----------------
 1 file changed, 111 insertions(+), 112 deletions(-)

commit 68494aa862c3495def713e6cad6fc478f223416f
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Jun 28 15:01:15 2013 +0900

    test_sptr.rb is renamed to test_uniprotkb.rb

 test/unit/bio/db/embl/{test_sptr.rb => test_uniprotkb.rb} | 0
 1 file changed, 0 insertions(+), 0 deletions(-)
 rename test/unit/bio/db/embl/{test_sptr.rb => test_uniprotkb.rb} (100%)

commit e1ed7fab4c0350e6866dd420a93e950c53063f38
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Jun 28 14:52:08 2013 +0900

    Add autoload of Bio::UniProtKB, and modify comments of deprecated classes.

 lib/bio.rb | 18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

commit 7c78cb1b275a845e215f9a6da67026836efc5807
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Jun 28 14:28:02 2013 +0900

    Bio::SwissProt and Bio::TrEMBL are deprecated
    
     * Bio::SwissProt and Bio::TrEMBL are deprecated.
     * Show warning messages when using these classes.

 lib/bio/db/embl/swissprot.rb | 41 ++++++++++++-----------------------------
 lib/bio/db/embl/trembl.rb    | 43 +++++++++++++------------------------------
 2 files changed, 25 insertions(+), 59 deletions(-)

commit b998ad13849ff7f1d69ed0c640a2e1bafe3fc957
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Jun 28 14:27:36 2013 +0900

    Bio::UniProt is changed to be an alias of Bio::UniProtKB.

 lib/bio/db/embl/uniprot.rb | 41 ++++++++++++-----------------------------
 1 file changed, 12 insertions(+), 29 deletions(-)

commit f46324e2fb6a2bc3e4680c8064dc0fc3d89e6f24
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Jun 28 14:21:56 2013 +0900

    Bio::SPTR is renamed as Bio::UniProtKB and changed to an alias
    
     * Bio::SPTR is renamed to Bio::UniProtKB.
     * For older programs which use Bio::SPTR, set Bio::SPTR as an alias of
       Bio::UniProtKB.

 lib/bio/db/embl/sptr.rb      |  20 ++++++
 lib/bio/db/embl/uniprotkb.rb | 147 +++++++++++++++++++++----------------------
 2 files changed, 93 insertions(+), 74 deletions(-)
 create mode 100644 lib/bio/db/embl/sptr.rb

commit 70816d90a6ef290c7ca7f50d492e7c4f836aadd8
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Jun 27 18:16:38 2013 +0900

    Rename lib/bio/db/embl/sptr.rb to uniprotkb.rb

 lib/bio/db/embl/{sptr.rb => uniprotkb.rb} | 0
 1 file changed, 0 insertions(+), 0 deletions(-)
 rename lib/bio/db/embl/{sptr.rb => uniprotkb.rb} (100%)

commit 2a10ded8e1502e0db5ec3b2e060f658ee53aafd0
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Jun 27 16:36:58 2013 +0900

    Bio::RefSeq and Bio::DDBJ are deprecated. Show warnings.
    
     * Bio::RefSeq and Bio::DDBJ are deprecated because they were only
       an alias of Bio::GenBank. Please use Bio::GenBank instead.
     * Show warning message when loading the classes and initializing
       a new instance.
     * Changed to require genbank.rb only when GenBank is not defined.
       This might reduce the possibility of circular require.

 lib/bio/db/genbank/ddbj.rb   | 11 +++++++++--
 lib/bio/db/genbank/refseq.rb | 14 +++++++++++---
 2 files changed, 20 insertions(+), 5 deletions(-)

commit 118d0bff58b48f69505eef5dcc2f961ac6e0d9de
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Jun 27 16:08:55 2013 +0900

    Remove descriptions about DDBJ Web API (WABI)

 KNOWN_ISSUES.rdoc | 8 --------
 1 file changed, 8 deletions(-)

commit fe8f976c7ced4d525a4eabd728269f71326cf001
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Jun 27 13:41:19 2013 +0900

    Remove ddbjsoap method that uses Bio::DDBJ::XML

 lib/bio/shell/plugin/soap.rb | 28 ----------------------------
 1 file changed, 28 deletions(-)

commit 54bef3fc48bb48eb198537a9fba6379f33f036cc
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Jun 27 13:39:42 2013 +0900

    Remove Bio::Blast::Remote::DDBJ from the comment line

 test/network/bio/appl/blast/test_remote.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a7c5a656dab1bb8ada6b36ec003a89aec9e26671
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Jun 25 18:34:46 2013 +0900

    Delete sample/demo_ddbjxml.rb which uses Bio::DDBJ::XML

 sample/demo_ddbjxml.rb | 212 -------------------------------------------------
 1 file changed, 212 deletions(-)
 delete mode 100644 sample/demo_ddbjxml.rb

commit e55293b67d305382cfb30b45aa30af82a574b580
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Jun 25 18:29:54 2013 +0900

    Remove Bio::Blast::Remote::DDBJ, Bio::Blast.ddbj and related components
    
     * Remove Bio::Blast::Remote::DDBJ, Bio::Blast.ddbj and related components
       which use Bio::DDBJ::XML or Bio::DDBJ::REST.

 lib/bio/appl/blast/ddbj.rb                 | 131 -----------------------------
 lib/bio/appl/blast/remote.rb               |   9 --
 test/network/bio/appl/blast/test_remote.rb |  14 ---
 test/network/bio/appl/test_blast.rb        |  12 ---
 4 files changed, 166 deletions(-)
 delete mode 100644 lib/bio/appl/blast/ddbj.rb

commit 19a5c992096a68a26f8684ee2ae128d17f2a49fd
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Jun 25 16:52:05 2013 +0900

    Remove Bio::DDBJ::XML and REST due to suspension of DDBJ Web API (WABI)
    
     * Remove Bio::DDBJ::XML and Bio::DDBJ::REST due to suspension of
       DDBJ Web API (WABI). DDBJ says that it is now under reconstruction
       and the API will be completely changed. Thus, I've decided to throw
       away current API client in Ruby and to implement new one with the new
       API.
     * Autoload lines in lib/bio/db/genbank/ddbj.rb are removed.
     * Tests are also removed.

 lib/bio/db/genbank/ddbj.rb           |   3 -
 lib/bio/io/ddbjrest.rb               | 344 --------------------------
 lib/bio/io/ddbjxml.rb                | 458 -----------------------------------
 test/network/bio/io/test_ddbjrest.rb |  47 ----
 test/unit/bio/io/test_ddbjxml.rb     |  81 -------
 5 files changed, 933 deletions(-)
 delete mode 100644 lib/bio/io/ddbjrest.rb
 delete mode 100644 lib/bio/io/ddbjxml.rb
 delete mode 100644 test/network/bio/io/test_ddbjrest.rb
 delete mode 100644 test/unit/bio/io/test_ddbjxml.rb

commit 1f852e0bf3c830aaa40dc7fc2bd535418af8dfd1
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat May 25 03:00:08 2013 +0900

    regenerate bioruby.gemspec with rake regemspec

 bioruby.gemspec | 2 --
 1 file changed, 2 deletions(-)

commit 5b90959ab399f961823a7c4453392c75cf971333
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat May 25 02:58:50 2013 +0900

    Update files and directories used to create package without git

 bioruby.gemspec.erb | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit df29f057ded6ac73fbdce7ae04a70ead28f4cc9f
Author: Naohisa Goto <ng@bioruby.org>
Date:   Sat May 25 02:46:32 2013 +0900

    Ruby 2.0 support: not to add ChangeLog and LEGAL to rdoc_files
    
     * Ruby 2.0 support: not to add ChangeLog and LEGAL to rdoc_files.
       Because ChangeLog is not rdoc format, rdoc bundled with Ruby 2.0
       raises error during parsing.

 bioruby.gemspec.erb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 930a5fcf5e38ae2bdfeee62eed9a46db1c519fae
Author: Kenichi Kamiya <kachick1@gmail.com>
Date:   Thu Apr 4 17:29:33 2013 +0900

    Remove unused variable in lib/bio/util/contingency_table.rb
    
    This commit removes below interpreter warning.
    
    * warning: assigned but unused variable

 lib/bio/util/contingency_table.rb | 2 --
 1 file changed, 2 deletions(-)

commit 490b3f7ca3b987c1a17852b641aad3125fc565cd
Author: Kenichi Kamiya <kachick1@gmail.com>
Date:   Thu Apr 4 17:28:30 2013 +0900

    Rename unused variable in lib/bio/tree.rb
    
    This commit removes below interpreter warning.
    
    * warning: assigned but unused variable

 lib/bio/tree.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c024fb972edb52e213165149273fc7ac4bec2f6e
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu May 16 21:26:44 2013 +0900

    Refactoring to suppress "warning: assigned but unused variable"

 lib/bio/pathway.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b3b2a268d6118307eed88fce1d805a61c6fb843d
Author: Kenichi Kamiya <kachick1@gmail.com>
Date:   Thu Apr 4 17:18:44 2013 +0900

    Remove unused variable in lib/bio/db/transfac.rb
    
    This commit removes below interpreter warning.
    
    * warning: assigned but unused variable

 lib/bio/db/transfac.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dd8abf1f95af4a70cf0b86b0e719e3dcfd8abecf
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu May 16 21:13:34 2013 +0900

    Refactoring to suppress warnings "assigned but unused variable"

 lib/bio/db/nexus.rb | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit b37512fb8028cf30bb2f813928aed49a5b39dce3
Author: Kenichi Kamiya <kachick1@gmail.com>
Date:   Thu Apr 4 17:15:59 2013 +0900

    Rename unused variable in lib/bio/db/kegg/reaction.rb
    
    This commit removes below interpreter warning.
    
    * warning: assigned but unused variable

 lib/bio/db/kegg/reaction.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a81fca3b1247ae4a3e05bfa912c8181efdfca81b
Author: Kenichi Kamiya <kachick1@gmail.com>
Date:   Thu Apr 4 17:15:09 2013 +0900

    Remove unused variable in lib/bio/db/go.rb
    
    This commit removes below interpreter warning.
    
    * warning: assigned but unused variable

 lib/bio/db/go.rb | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 69b0c433e76faffba6a48dfc38dcc2b1444ce2b7
Author: Kenichi Kamiya <kachick1@gmail.com>
Date:   Thu Apr 4 17:13:24 2013 +0900

    Rename unused variable in lib/bio/db/gff.rb
    
    This commit removes below interpreter warning.
    
    * warning: assigned but unused variable

 lib/bio/db/gff.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 88c214fe3183c161cda94a3a4cda442b3a769965
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu May 9 23:46:28 2013 +0900

    add a dummy line to suppress "warning: assigned but unused variable"

 lib/bio/db/embl/sptr.rb | 1 +
 1 file changed, 1 insertion(+)

commit 1ead12f9c951a983c6775f79ca1b6944f95a61b9
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu May 9 23:41:54 2013 +0900

    Refactoring to suppress warnings "assigned but unused variable"

 lib/bio/db/embl/embl.rb | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 8d0eb5105eb2f419f5b4f4fbb191b8fb2032664b
Author: Kenichi Kamiya <kachick1@gmail.com>
Date:   Thu Apr 4 17:01:27 2013 +0900

    Remove unused variable in lib/bio/appl/paml/common
    
    This commit removes below interpreter warning.
    
    * warning: assigned but unused variable

 lib/bio/appl/paml/common.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c6cf0d2e2a3a0b9062f9464dba0e363f460d04e4
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu May 9 23:27:54 2013 +0900

    suppress warning "assigned but unused variable"

 lib/bio/appl/paml/codeml/report.rb | 1 +
 1 file changed, 1 insertion(+)

commit 8834d50544b03a92a3ca816704b179e4333d1dfc
Author: Kenichi Kamiya <kachick1@gmail.com>
Date:   Thu Apr 4 16:59:18 2013 +0900

    Remove unused variable in lib/bio/appl/meme/mast/report
    
    This commit removes below interpreter warning.
    
    * warning: assigned but unused variable

 lib/bio/appl/meme/mast/report.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fe51a49ee68c41a3ce0c48c39db6e8a28d1689ee
Author: Kenichi Kamiya <kachick1@gmail.com>
Date:   Thu Apr 4 16:57:44 2013 +0900

    Remove unused variable in lib/bio/appl/blast/report
    
    This commit removes below interpreter warning.
    
    * warning: assigned but unused variable

 lib/bio/appl/blast/report.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 622497ff309412fb986c5315d55d41c3ca48d362
Author: Kenichi Kamiya <kachick1@gmail.com>
Date:   Thu Apr 4 17:25:29 2013 +0900

    Fix indent in lib/bio/map
    
    This commit removes below interpreter warning.
    
    * warning: mismatched indentations at ...

 lib/bio/map.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3ea6bcaf229fd1a71a0192253cc47e817bb64b82
Author: Kenichi Kamiya <kachick1@gmail.com>
Date:   Thu Apr 4 18:05:04 2013 +0900

    Remove unused variable in test/unit/bio/appl/blast/test_report
    
    This commit removes below interpreter warning.
    
    * warning: assigned but unused variable

 test/unit/bio/appl/blast/test_report.rb | 2 --
 1 file changed, 2 deletions(-)

commit 178ca9e5244cc3aa7f0507c7d5528bb57b0858be
Author: Kenichi Kamiya <kachick1@gmail.com>
Date:   Thu Apr 4 18:03:46 2013 +0900

    Remove unused variable in test/unit/bio/appl/bl2seq/test_report
    
    This commit removes below interpreter warning.
    
    * warning: assigned but unused variable

 test/unit/bio/appl/bl2seq/test_report.rb | 1 -
 1 file changed, 1 deletion(-)

commit b8a5c1cb9f54d9199200b406f77e8152eef96f02
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu May 9 21:20:10 2013 +0900

    Add assertions and suppress "unused variable" warnings
    
     * Add assertions to check object id returned by forward_complement
       and reverse_complement methods. This change also aims to suppress
       "assigned but unused variable" warnings.

 test/unit/bio/sequence/test_na.rb | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit bd8fc9b197c54c108d74fea9161c8f0dd3b041fc
Author: Kenichi Kamiya <kachick1@gmail.com>
Date:   Thu Apr 4 17:59:09 2013 +0900

    Remove unused variable in test/unit/bio/io/flatfile/test_splitter
    
    This commit removes below interpreter warning.
    
    * warning: assigned but unused variable

 test/unit/bio/io/flatfile/test_splitter.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0a87c9e265c4560453faf84fc009b60319c75416
Author: Kenichi Kamiya <kachick1@gmail.com>
Date:   Thu Apr 4 17:57:51 2013 +0900

    Remove unused variable in test/unit/bio/db/test_phyloxml_writer
    
    This commit removes below interpreter warning.
    
    * warning: assigned but unused variable

 test/unit/bio/db/test_phyloxml_writer.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 95b2614eb32eb12428df29360d0c1f146f39a469
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu May 9 20:56:43 2013 +0900

    Comment out some lines to suppress "unused variable" warnings

 test/unit/bio/db/test_gff.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b8917841559fbd506c73fdf374a8097f23a1bc37
Author: Kenichi Kamiya <kachick1@gmail.com>
Date:   Thu Apr 4 17:51:11 2013 +0900

    Remove unused variable in test/unit/bio/db/embl/test_sptr.rb
    
     * Remove warnings "warning: assigned but unused variable"
     * Note that the sequence in TestSPTRUniProtRel7_6#test_10000aa is
       a fragment of human p53 protein, and is not related with Q09165.

 test/unit/bio/db/embl/test_sptr.rb | 3 ---
 1 file changed, 3 deletions(-)

commit 6b46d324a545f509bbd238ae7ec009d586469314
Author: Kenichi Kamiya <kachick1@gmail.com>
Date:   Thu Apr 4 17:45:47 2013 +0900

    Remove unused variable in test/unit/bio/db/embl/test_embl_rel89
    
    This commit removes below interpreter warning.
    
    * warning: assigned but unused variable

 test/unit/bio/db/embl/test_embl_rel89.rb | 1 -
 1 file changed, 1 deletion(-)

commit f36eeb0107e7a8315c66888ec8292ed33bd959cc
Author: Kenichi Kamiya <kachick1@gmail.com>
Date:   Thu Apr 4 17:45:21 2013 +0900

    Remove unused variable in test/unit/bio/db/embl/test_embl
    
    This commit removes below interpreter warning.
    
    * warning: assigned but unused variable

 test/unit/bio/db/embl/test_embl.rb | 1 -
 1 file changed, 1 deletion(-)

commit a1a2ad9b963d9bb2da8d07ae7b182bd339bea88e
Author: Kenichi Kamiya <kachick1@gmail.com>
Date:   Thu Apr 4 17:36:59 2013 +0900

    Fix indent in test/unit/bio/sequence/test_dblink
    
    This commit removes below interpreter warning.
    
    * warning: mismatched indentations at ...

 test/unit/bio/sequence/test_dblink.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 345a8eb4408ca241c13c410a578490c905eb7391
Author: Kenichi Kamiya <kachick1@gmail.com>
Date:   Thu Apr 4 17:36:21 2013 +0900

    Fix indent in test/unit/bio/db/test_phyloxml
    
    This commit removes below interpreter warning.
    
    * warning: mismatched indentations at ...

 test/unit/bio/db/test_phyloxml.rb | 58 +++++++++++++++++++--------------------
 1 file changed, 29 insertions(+), 29 deletions(-)

commit ae8c7a6705a30c0c18c57df9869979a968aa63ac
Author: Kenichi Kamiya <kachick1@gmail.com>
Date:   Thu Apr 4 17:35:07 2013 +0900

    Fix indent in test/unit/bio/db/genbank/test_genbank
    
    This commit removes below interpreter warning.
    
    * warning: mismatched indentations at ...

 test/unit/bio/db/genbank/test_genbank.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 872d8954e1351251fbace20e331035251ae5f806
Author: Kenichi Kamiya <kachick1@gmail.com>
Date:   Thu Apr 4 17:33:23 2013 +0900

    Fix indent in test/unit/bio/appl/test_blast
    
    This commit removes below interpreter warning.
    
    * warning: mismatched indentations at ...

 test/unit/bio/appl/test_blast.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bd973e084695c4d777c8ecf6d566788838158165
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Mar 27 03:03:49 2013 +0900

    .travis.yml: rbx-18mode is moved to allow_failures

 .travis.yml | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 63e93faba74a8143a0be9595fdf87329f3015745
Author: Andrew Grimm <andrew.j.grimm@gmail.com>
Date:   Tue Mar 26 20:20:11 2013 +1100

    Squash warning in alignment.rb: assigned but unused variable - oldkeys

 lib/bio/alignment.rb | 1 -
 1 file changed, 1 deletion(-)

commit bd735d6f9d6edfd1550a4279167ac06b372f847a
Author: Andrew Grimm <andrew.j.grimm@gmail.com>
Date:   Tue Mar 26 20:14:46 2013 +1100

    Squash warning in alignment.rb: assigned but unused variable - lines

 lib/bio/alignment.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3e7b27f96a901a3abfc338572f98d60a9e3be498
Author: Andrew Grimm <andrew.j.grimm@gmail.com>
Date:   Tue Mar 26 19:44:49 2013 +1100

    Squash warning in defline.rb: assigned but unused variable - idtype

 lib/bio/db/fasta/defline.rb | 1 -
 1 file changed, 1 deletion(-)

commit aafc03330fa79243cfa4097d356a7c304ddb7980
Author: Kenichi Kamiya <kachick1@gmail.com>
Date:   Sat Feb 16 21:22:55 2013 +0900

    Simplify some regular expressions
    
    * /\w/ including /\d/
    * /\s/ including [/\r/, /\t/, /\n/]

 lib/bio/appl/blast/format0.rb | 2 +-
 lib/bio/db/embl/common.rb     | 2 +-
 lib/bio/db/embl/embl.rb       | 2 +-
 lib/bio/db/embl/sptr.rb       | 2 +-
 lib/bio/db/gff.rb             | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

commit 623ad4011fa8b56f3c9f50a859d1fa26f6570700
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Jan 11 16:41:12 2013 +0900

    Improvement of parameter checks and error output
    
     * Improvement of parameter checks
     * To avoid potential XSS in old MSIE which ignores content-type,
       always do CGI.escapeHTML for parameters in error messages

 sample/biofetch.rb | 91 +++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 63 insertions(+), 28 deletions(-)

commit 03d48c43f1de7ebc9104b9aa972f226774a0bf49
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Jan 11 15:32:05 2013 +0900

    Add metadata cache
    
     * Add metadata cache. It caches the list of databases and a list of
       available formats for each database. Database entries are not cached.
     * charset=utf-8 in CGI header.

 sample/biofetch.rb | 110 ++++++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 87 insertions(+), 23 deletions(-)

commit 114d29d4bdfc328f5e91adee9bea465622248e0d
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Jan 11 09:10:08 2013 +0900

    remove excess double quotations in html part

 sample/biofetch.rb | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 949311648b92d51a2596f896fdae8d74ac0608a3
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Jan 11 08:59:18 2013 +0900

    add magic comment: coding utf-8

 sample/biofetch.rb | 1 +
 1 file changed, 1 insertion(+)

commit 4ae509273134c5deca7910847063ed07c56150db
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Jan 10 23:27:09 2013 +0900

    Rewrite to use TogoWS REST API instead of SOAP-based KEGG API.
    
     * Rewrite to use TogoWS REST API instead of deprecated SOAP-based
       KEGG API.
     * Examples are changed to fit with current TogoWS.
     * Now, the script does not depend on any non-standard libraries
       including BioRuby. This means that one can put this script on
       a server without installing BioRuby.
     * New constans SCRIPT_NAME and BASE_URL for easy customizing.
     * Many changes. See "git diff" for details.

 sample/biofetch.rb | 265 ++++++++++++++++++++++++++---------------------------
 1 file changed, 131 insertions(+), 134 deletions(-)

commit bc98bc54c59be98425d66c64b19a3b9612993beb
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Jan 10 15:17:42 2013 +0900

    Add 'gem "rdoc"' to avoid "ERROR: 'rake/rdoctask' is obsolete..."

 gemfiles/Gemfile.travis-ruby1.9 | 1 +
 1 file changed, 1 insertion(+)

commit dfe54b2fbe303f56a868404173fe346724b7aa4a
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Jan 10 14:06:45 2013 +0900

    Add 'gem "rdoc"' to avoid "ERROR: 'rake/rdoctask' is obsolete..."

 gemfiles/Gemfile.travis-jruby1.8 | 1 +
 gemfiles/Gemfile.travis-jruby1.9 | 1 +
 2 files changed, 2 insertions(+)

commit f07ec6ac326d51c055496983abba54afd00c35d4
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Jan 10 01:38:00 2013 +0900

    Add 'gem "rdoc"' to avoid "ERROR: 'rake/rdoctask' is obsolete..."

 gemfiles/Gemfile.travis-ruby1.8 | 1 +
 1 file changed, 1 insertion(+)

commit 4221d52055087f85daa1c23349d10ecdb4d01a31
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Jan 10 01:27:03 2013 +0900

    Ruby 2.0 support: Set script encoding to US-ASCII for gff.rb.

 lib/bio/db/gff.rb | 1 +
 1 file changed, 1 insertion(+)

commit 1526df8273e9d2283fd4a921d4cf8c0c664fe71c
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Jan 10 00:45:36 2013 +0900

    Convert encoding of the Japanese tutorial files to UTF-8

 doc/Tutorial.rd.ja      | 1920 +++++++++++++++++++++++------------------------
 doc/Tutorial.rd.ja.html | 1918 +++++++++++++++++++++++-----------------------
 2 files changed, 1919 insertions(+), 1919 deletions(-)

commit 3215570185a46dd0d6c4cd96d583b2487636b483
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Jan 10 00:41:51 2013 +0900

    updated doc/Tutorial.rd.html and doc/Tutorial.rd.ja.html

 doc/Tutorial.rd.html    |  19 ++---
 doc/Tutorial.rd.ja.html | 202 ++++++++++++++----------------------------------
 2 files changed, 63 insertions(+), 158 deletions(-)

commit 8db12935a9cc15bae92bdb7183476cfea9e1f819
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Jan 10 00:38:18 2013 +0900

    Set html title when generating tutorial html

 Rakefile | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 644d438decceb072475877a749435fba543ff8ea
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Jan 4 03:19:00 2013 +0900

    regenerate bioruby.gemspec with rake regemspec

 bioruby.gemspec | 6 ------
 1 file changed, 6 deletions(-)

commit 54dc9b9f68ee2de9ee005a772ce000277a073d97
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Jan 4 02:35:01 2013 +0900

    Remove sample/psortplot_html.rb which depend on Bio::KEGG::API.
    
     * Remove sample/psortplot_html.rb because it strongly depend on
       removed Bio::KEGG::API and discontinued SOAP-based KEGG API.
       It is hard to re-write by using new REST-based KEGG API because
       the new API seems to lack color_pathway_by_objects that returns
       image URL. Moreover, there is no one-by-one API migration guide.

 sample/psortplot_html.rb | 214 -----------------------------------------------
 1 file changed, 214 deletions(-)
 delete mode 100644 sample/psortplot_html.rb

commit dbdf2dad3dec9d10141b891a481b9b05e1561708
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Jan 4 02:34:05 2013 +0900

    Remove descriptions about KEGG API and Bio::KEGG::API.

 doc/Tutorial.rd    |   6 ---
 doc/Tutorial.rd.ja | 106 +----------------------------------------------------
 2 files changed, 1 insertion(+), 111 deletions(-)

commit 3ca725dc1e07f794344c9fcae43d4972ed2895da
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Jan 4 02:33:09 2013 +0900

    Remove description about KEGG API and Bio::KEGG::API.

 README.rdoc | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit d4568788069f2d998a78ad72b1d906aae13e85f4
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Jan 3 23:55:58 2013 +0900

    Remove KEGG API plugin of BioRuby Shell, due to the removal of Bio::KEGG::API.

 lib/bio/shell.rb                |   1 -
 lib/bio/shell/plugin/keggapi.rb | 181 ----------------------------------------
 2 files changed, 182 deletions(-)
 delete mode 100644 lib/bio/shell/plugin/keggapi.rb

commit 22c8f4945d622f8f22c08b262c6caf81a0261284
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Jan 3 23:52:36 2013 +0900

    Delete autoload lines for removed Bio::KEGG::API

 lib/bio.rb | 4 ----
 1 file changed, 4 deletions(-)

commit b56ec0984d5001c3a4d3b4f0ba8fbbbf79835747
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Jan 3 23:51:24 2013 +0900

    Remove Bio::KEGG::API and its sample code and documentation files.
    
     * Remove Bio::KEGG::API and its sample code and documentation files.
       * deleted: lib/bio/io/keggapi.rb
       * deleted: doc/KEGG_API.rd
       * deleted: doc/KEGG_API.rd.ja
       * deleted: sample/demo_keggapi.rb

 doc/KEGG_API.rd        | 1843 ------------------------------------------------
 doc/KEGG_API.rd.ja     | 1834 -----------------------------------------------
 lib/bio/io/keggapi.rb  |  363 ----------
 sample/demo_keggapi.rb |  502 -------------
 4 files changed, 4542 deletions(-)
 delete mode 100644 doc/KEGG_API.rd
 delete mode 100644 doc/KEGG_API.rd.ja
 delete mode 100644 lib/bio/io/keggapi.rb
 delete mode 100644 sample/demo_keggapi.rb

commit 63af413c122b4531193153fbfee034deaf0a9606
Author: Naohisa Goto <ng@bioruby.org>
Date:   Mon Oct 1 21:11:14 2012 +0900

    Bug fix: parse error when subject sequence contains spaces
    
     * Bug fix: parse error when subject sequence contains spaces.
       Thanks to Edward Rice who reports the bug. (Bug #3385)
       (https://redmine.open-bio.org/issues/3385)

 lib/bio/appl/blast/format0.rb | 38 +++++++++++++++++++-------------------
 1 file changed, 19 insertions(+), 19 deletions(-)

commit 9f2f682ec6624ff356bea7aca76365ba95d33549
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Sep 7 16:50:44 2012 +0900

    add an env line to be recognized in allow_failures

 .travis.yml | 1 +
 1 file changed, 1 insertion(+)

commit fead6dda526081db09c56c2262f111338b7d8cd7
Author: Naohisa Goto <ng@bioruby.org>
Date:   Fri Sep 7 16:08:57 2012 +0900

    environment variable TESTOPTS=-v for verbose output of rake test

 .travis.yml | 22 ++++++++++++++--------
 1 file changed, 14 insertions(+), 8 deletions(-)

commit 3de19895140502898c77fc83d9ad6fae47331763
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Sep 6 18:17:22 2012 +0900

    Remove Bio.method_missing because it is broken.
    
     * Bio.method_missing, the hook of undefined methods, providing
       shortcut of Bio::Shell methods, is now removed, because it does
       not work correctly, and because the use of method_missing should
       normally be avoided unless it is really necessary. Alternatively,
       use Bio::Shell.xxxxx (xxxxx is a method name).

 lib/bio.rb | 13 -------------
 1 file changed, 13 deletions(-)

commit a358584c4a76be6a38ab38a18e6dc66840030450
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Sep 6 16:48:51 2012 +0900

    Delete autoload line of a removed class Bio::NCBI::SOAP.

 lib/bio/io/ncbirest.rb | 1 -
 1 file changed, 1 deletion(-)

commit 340d665775b862da638e4d12751b84d2ccd83e82
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Sep 6 16:47:03 2012 +0900

    Delete autoload lines of removed classes.

 lib/bio.rb | 4 ----
 1 file changed, 4 deletions(-)

commit c7c29a672b38d2182cf4afc9a970b854af1149a7
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Sep 6 16:43:25 2012 +0900

    regenerate bioruby.gemspec with rake regemspec

 bioruby.gemspec | 3 ---
 1 file changed, 3 deletions(-)

commit 09bb4b8a8b7e01a36dbe0cf44a5c2a6a6b5750f1
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Sep 6 16:23:17 2012 +0900

    Remove Bio::Shell#ncbisoap which uses removed Bio::NCBI::SOAP.

 lib/bio/shell/plugin/soap.rb | 9 ---------
 1 file changed, 9 deletions(-)

commit a5e46acdaf06568bea6cb773200bbf3881b5670e
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Sep 6 16:02:32 2012 +0900

    Remove issues about removed classes Bio::NCBI::SOAP and Bio::KEGG::Taxonomy

 KNOWN_ISSUES.rdoc | 10 ----------
 1 file changed, 10 deletions(-)

commit 529815acb1b57486bd506b81eec6be80277cbae7
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Sep 5 11:33:27 2012 +0900

    Remove Bio::KEGG::Taxonomy which is old and broken
    
     * Remove Bio::KEGG::Taxonomy because it raises error or the data
       structure in the return value seems to be broken. In addition,
       running the sample script sample/demo_kegg_taxonomy.rb shows
       error or falls into infinite loop. Moreover, KEGG closes public
       FTP site and the target data file of the class ("taxonomy")
       can only be obtained by paid subscribers. From the above reasons,
       it seems there are no users of this class now.
     * Deleted files: lib/bio/db/kegg/taxonomy.rb,
       sample/demo_kegg_taxonomy.rb

 lib/bio/db/kegg/taxonomy.rb  | 280 -------------------------------------------
 sample/demo_kegg_taxonomy.rb |  92 --------------
 2 files changed, 372 deletions(-)
 delete mode 100644 lib/bio/db/kegg/taxonomy.rb
 delete mode 100644 sample/demo_kegg_taxonomy.rb

commit dc47fb46e86bba15ba43de31075eaba3cf811fa3
Author: Naohisa Goto <ng@bioruby.org>
Date:   Wed Sep 5 11:26:00 2012 +0900

    Remove Bio::NCBI::SOAP which is broken
    
     * Remove Bio::NCBI::SOAP in lib/bio/io/ncbisoap.rb, because it always
       raises error during the parsing of WSDL files provided by NCBI, both
       with Ruby 1.8.X (with bundled SOAP4R) and Ruby 1.9.X (with
       soap4r-ruby1.9 gem). To solve the error, modifying SOAP4R may be
       needed, that seems very difficult. The alternative is Bio::NCBI::REST,
       REST client class for the NCBI EUtil web services.

 lib/bio/io/ncbisoap.rb | 156 -------------------------------------------------
 1 file changed, 156 deletions(-)
 delete mode 100644 lib/bio/io/ncbisoap.rb

commit 314e06e54603bb238015c391904f414b3da48752
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Sep 4 11:13:47 2012 +0900

    regenerate bioruby.gemspec with rake regemspec

 bioruby.gemspec | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit e929d5d23a9b489ef42f30b33959f059baf1e185
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Sep 4 11:09:36 2012 +0900

    Remove issues about removed classes Bio::Ensembl and Bio::DBGET.

 KNOWN_ISSUES.rdoc | 16 ----------------
 1 file changed, 16 deletions(-)

commit 550a5440490012f73b6d38d84238cd498f2ebb02
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Sep 4 10:57:20 2012 +0900

    Remove Bio::Ensembl because it does not work
    
     * Remove Bio::Ensembl because it does not work after the renewal of
       the Ensembl web site in 2008.
     * Alternative is io-ensembl gem which supports current Ensembl API.
       http://rubygems.org/gems/bio-ensembl
     * Deleted files: lib/bio/io/ensembl.rb,
       test/network/bio/io/test_ensembl.rb, test/unit/bio/io/test_ensembl.rb.

 lib/bio/io/ensembl.rb               | 229 -----------------------------------
 test/network/bio/io/test_ensembl.rb | 230 ------------------------------------
 test/unit/bio/io/test_ensembl.rb    | 111 -----------------
 3 files changed, 570 deletions(-)
 delete mode 100644 lib/bio/io/ensembl.rb
 delete mode 100644 test/network/bio/io/test_ensembl.rb
 delete mode 100644 test/unit/bio/io/test_ensembl.rb

commit 61301a8ec252f3623f994edd59f597360f73448b
Author: Naohisa Goto <ng@bioruby.org>
Date:   Tue Sep 4 10:47:52 2012 +0900

    Remove obsolete Bio::DBGET
    
     * Remove Bio::DBGET because it uses old original protocol that was
       discontinued about 8 years ago.
     * Remove lib/bio/io/dbget.rb and sample/dbget.

 lib/bio/io/dbget.rb | 194 ----------------------------------------------------
 sample/dbget        |  37 ----------
 2 files changed, 231 deletions(-)
 delete mode 100644 lib/bio/io/dbget.rb
 delete mode 100755 sample/dbget

commit 3c5e288a8685ba3279a3ba73f1b31056c1b6f7a8
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Aug 23 00:25:43 2012 +0900

    Refresh ChangeLog, showing changes after 1.4.3 release.
    
     * Refresh to the new ChangeLog, showing changes after 1.4.3 release.
       For the changes before 1.4.3, see doc/ChangeLog-1.4.3.
       For the changes before 1.4.2, see doc/ChangeLog-before-1.4.2.
       For the changes before 1.3.1, see doc/ChangeLog-before-1.3.1.

 ChangeLog | 61 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 61 insertions(+)
 create mode 100644 ChangeLog

commit 63c13ad8516b9dcacbe001137666c3468968542b
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Aug 23 00:25:07 2012 +0900

    Rakefile: Update hardcoded git tag name for updating of ChangeLog.

 Rakefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b10c7ad2db24d88726ffb8c63078baa217aeac43
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Aug 23 00:20:01 2012 +0900

    renamed ChangeLog to doc/ChangeLog-1.4.3

 ChangeLog => doc/ChangeLog-1.4.3 | 0
 1 file changed, 0 insertions(+), 0 deletions(-)
 rename ChangeLog => doc/ChangeLog-1.4.3 (100%)

commit 0c20cb62ba6b253098e7198c14de1829f72474f5
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Aug 23 00:18:50 2012 +0900

    ChangeLog updated: add log about 1.4.3 release.

 ChangeLog | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 5e88ccbe0fefdd4d57f144aaf9073f5e7d93281c
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Aug 23 00:16:25 2012 +0900

    New RELEASE_NOTES.rdoc for the next release version.

 RELEASE_NOTES.rdoc | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)
 create mode 100644 RELEASE_NOTES.rdoc

commit e3d40b90d88ab0d0a91d8e32ebf97c16097f0996
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Aug 23 00:12:40 2012 +0900

    Renamed RELEASE_NOTES.rdoc to doc/RELEASE_NOTES-1.4.3.rdoc

 RELEASE_NOTES.rdoc => doc/RELEASE_NOTES-1.4.3.rdoc | 0
 1 file changed, 0 insertions(+), 0 deletions(-)
 rename RELEASE_NOTES.rdoc => doc/RELEASE_NOTES-1.4.3.rdoc (100%)

commit 08bcabecccb271385d38a0f807e8c408def5a128
Author: Naohisa Goto <ng@bioruby.org>
Date:   Thu Aug 23 00:00:15 2012 +0900

    Bio::BIORUBY_EXTRA_VERSION set to ".5000" (unstable version).

 bioruby.gemspec    | 2 +-
 lib/bio/version.rb | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)
